2006-03-21	r1ch
	* qcommon/crypt.h 1.1:
		Hi guess what I forgot

	* build.h 1.232:
	* qcommon/cmd.c 1.68:
	* qcommon/cmodel.c 1.46:
	* qcommon/files.c 1.84:
	* server/sv_user.c 1.157:
	* win32/q2.rc 1.99:
		More stuff!

	* qcommon/ioapi.c 1.1:
	* qcommon/ioapi.h 1.1:
	* qcommon/unzip.c 1.1:
	* qcommon/unzip.h 1.1:
		Unzip for pkz support.

2006-03-17	r1ch
	* build.h 1.231:
	* client/cl_main.c 1.147:
	* game/q_shared.h 1.80:
	* qcommon/cmd.c 1.67:
	* qcommon/cmodel.c 1.45:
	* qcommon/cvar.c 1.52:
	* qcommon/files.c 1.83:
	* qcommon/qcommon.h 1.120:
	* quake2.vcproj 1.57:
	* server/sv_ccmds.c 1.96:
	* server/sv_main.c 1.188:
	* server/sv_user.c 1.156:
	* win32/q2.rc 1.98:
	* win32/q_shwin.c 1.28:
	* win32/sys_win.c 1.94:
		Partial pkz support, misc fixes

2006-02-27	r1ch
	* build.h 1.230:
	* ref_gl/gl_rmisc.c 1.32:
	* server/sv_ccmds.c 1.95:
	* server/sv_init.c 1.92:
	* server/sv_main.c 1.187:
		Misc fixes.

2006-02-21	r1ch
	* build.h 1.229:
	* server/sv_main.c 1.186:
	* server/sv_user.c 1.155:
		sv_format_string_hack fix

	* build.h 1.228:
	* client/cl_ents.c 1.54:
	* client/cl_parse.c 1.108:
	* client/cl_scrn.c 1.49:
	* client/cl_view.c 1.47:
	* client/client.h 1.62:
	* game/q_shared.h 1.79:
	* qcommon/common.c 1.138:
	* qcommon/qcommon.h 1.119:
	* quake2.vcproj 1.56:
	* server/server.h 1.98:
	* server/server.h 1.99:
	* server/sv_anticheat.c 1.2:
	* server/sv_ents.c 1.53:
	* server/sv_init.c 1.91:
	* server/sv_main.c 1.184:
	* server/sv_main.c 1.185:
	* server/sv_send.c 1.104:
	* server/sv_user.c 1.153:
	* server/sv_user.c 1.154:
	* win32/q2.rc 1.97:
		Removed advanced deltas (Q3 code)
		More anticheat stuff
		Configurable crosshair offset
		sv_format_string_hack
		Warning, -> WARNING

2006-02-14	r1ch
	* build.h 1.227:
	* client/cl_dll.c 1.8:
	* client/cl_fx.c 1.29:
	* client/cl_main.c 1.146:
	* client/cl_newfx.c 1.13:
	* client/cl_parse.c 1.107:
	* client/cl_scrn.c 1.48:
	* client/cl_view.c 1.46:
	* client/console.c 1.40:
	* client/keys.c 1.42:
	* client/menu.c 1.34:
	* client/ref.h 1.16:
	* client/snd_mix.c 1.16:
	* game/q_shared.c 1.64:
	* game/q_shared.h 1.78:
	* qcommon/common.c 1.137:
	* qcommon/cvar.c 1.51:
	* qcommon/net_common.c 1.24:
	* qcommon/qcommon.h 1.118:
	* quake2.vcproj 1.55:
	* ref_gl/gl_draw.c 1.17:
	* ref_gl/gl_local.h 1.68:
	* ref_gl/gl_rmain.c 1.59:
	* server/server.h 1.97:
	* server/sv_anticheat.c 1.1:
	* server/sv_ccmds.c 1.94:
	* server/sv_ents.c 1.52:
	* server/sv_game.c 1.64:
	* server/sv_init.c 1.90:
	* server/sv_main.c 1.183:
	* server/sv_user.c 1.152:
	* win32/sys_win.c 1.93:
	* win32/vid_dll.c 1.63:
		Built in server command help
		More anticheat framework
		Win32 exception handler updates
		Game DLL message buffer fix

2006-01-04	r1ch
	* win32/q2.rc 1.96:
		build num

	* build.h 1.226:
	* win32/sys_win.c 1.92:
	* win32/vid_dll.c 1.62:
	* win32/vid_menu.c 1.16:
		Crashdump fixups

2006-01-02	r1ch
	* binaries/client/Makefile 1.4:
	* binaries/game/Makefile 1.3:
	* binaries/r1q2ded/Makefile 1.6:
	* build.h 1.225:
	* client/cl_http.c 1.8:
	* client/cl_main.c 1.145:
	* client/cl_scrn.c 1.47:
	* genupdate.pl 1.10:
		http dl updates, chathud fix

2005-12-24	r1ch
	* build.h 1.224:
	* client/cl_parse.c 1.106:
	* ref_gl/gl_image.c 1.63:
	* ref_gl/gl_rsurf.c 1.23:
	* win32/q2.rc 1.95:
		fix3

	* build.h 1.222:
	* client/cl_fx.c 1.28:
	* client/cl_http.c 1.7:
	* client/cl_main.c 1.144:
	* client/cl_newfx.c 1.12:
	* client/cl_parse.c 1.104:
	* client/cl_scrn.c 1.46:
	* client/cl_view.c 1.45:
	* client/client.h 1.61:
	* client/snd_dma.c 1.53:
	* client/snd_mem.c 1.33:
	* client/snd_openal.h 1.4:
	* game/q_shared.c 1.62:
	* game/q_shared.h 1.76:
	* qcommon/common.c 1.134:
	* qcommon/files.c 1.82:
	* qcommon/pmove.c 1.17:
	* qcommon/qcommon.h 1.117:
	* quake2.vcproj 1.54:
	* ref_gl/gl_local.h 1.67:
	* server/server.h 1.96:
	* server/sv_ccmds.c 1.93:
	* server/sv_game.c 1.62:
	* server/sv_init.c 1.88:
	* server/sv_main.c 1.181:
	* server/sv_user.c 1.150:
	* win32/q2.aps 1.11:
	* win32/q2.rc 1.93:
	* win32/q_shwin.c 1.27:
	* win32/snd_win.c 1.16:
	* win32/sys_win.c 1.90:
	* win32/winquake.h 1.12:
		crashfix :D

	* linux/sys_linux.c 1.42:
		sys linux fix

	* binaries/Makefile 1.2:
	* binaries/make.inc 1.3:
		makefiles

	* build.h 1.223:
	* client/cl_parse.c 1.105:
	* game/q_shared.c 1.63:
	* game/q_shared.h 1.77:
	* qcommon/common.c 1.136:
	* server/sv_game.c 1.63:
	* server/sv_init.c 1.89:
	* server/sv_main.c 1.182:
	* server/sv_send.c 1.103:
	* server/sv_user.c 1.151:
	* server/sv_world.c 1.34:
	* win32/q2.rc 1.94:
	* win32/sys_win.c 1.91:
		linux fix2

	* qcommon/common.c 1.135:
		linux fix1

2005-11-14	r1ch
	* build.h 1.221:
	* client/snd_mem.c 1.32:
	* generate-source-zip.bat 1.8:
	* quake2.vcproj 1.53:
	* win32/q2.rc 1.92:
	* win32/sys_win.c 1.89:
		6274

2005-11-12	r1ch
	* build.h 1.219:
	* client/cl_http.c 1.6:
	* client/cl_main.c 1.143:
	* client/cl_parse.c 1.102:
	* client/client.h 1.60:
	* client/console.c 1.39:
	* client/snd_dma.c 1.52:
	* client/snd_mem.c 1.31:
	* game/q_shared.c 1.61:
	* game/q_shared.h 1.75:
	* genupdate.pl 1.9:
	* lib/libpng.lib 1.5:
	* lib/zlib.lib 1.15:
	* lib/zlibd.lib 1.9:
	* qcommon/common.c 1.133:
	* qcommon/files.c 1.81:
	* qcommon/qcommon.h 1.116:
	* quake2.sln 1.7:
	* quake2.vcproj 1.52:
	* ref_gl/gl_image.c 1.62:
	* ref_gl/gl_local.h 1.66:
	* ref_gl/gl_mesh.c 1.20:
	* ref_gl/qgl.h 1.6:
	* win32/q2.rc 1.90:
	* win32/q_shwin.c 1.26:
	* win32/qgl_win.c 1.12:
	* win32/sys_win.c 1.88:
	* win32/vid_dll.c 1.61:
	* win32/vid_menu.c 1.15:
		b6264

	* build.h 1.220:
	* client/cl_parse.c 1.103:
	* client/cl_scrn.c 1.45:
	* client/screen.h 1.4:
	* win32/q2.rc 1.91:
		6272

2005-11-03	r1ch
	* build.h 1.218:
	* client/cl_main.c 1.142:
	* game/q_shared.c 1.60:
	* game/q_shared.h 1.74:
	* qcommon/cmodel.c 1.44:
	* qcommon/common.c 1.132:
	* qcommon/qcommon.h 1.115:
	* quake2.vcproj 1.51:
	* ref_gl/gl_local.h 1.65:
	* server/sv_user.c 1.149:
	* win32/glw_imp.c 1.37:
	* win32/q2.rc 1.89:
	* win32/sys_win.c 1.87:
		b6203

2005-10-28	r1ch
	* build.h 1.217:
	* client/cl_http.c 1.5:
	* client/cl_parse.c 1.101:
	* client/client.h 1.59:
	* client/console.c 1.38:
	* client/menu.c 1.33:
	* client/snd_mix.c 1.15:
	* game/q_shared.c 1.59:
	* game/q_shared.h 1.73:
	* linux/sys_linux.c 1.41:
	* qcommon/cmodel.c 1.43:
	* qcommon/common.c 1.131:
	* qcommon/files.c 1.80:
	* qcommon/net_common.c 1.23:
	* qcommon/qcommon.h 1.114:
	* quake2.sln 1.6:
	* quake2.vcproj 1.50:
	* ref_gl/gl_local.h 1.64:
	* server/sv_send.c 1.102:
	* server/sv_user.c 1.148:
	* win32/net_wins.c 1.54:
	* win32/q2.rc 1.88:
	* win32/q_shwin.c 1.25:
	* win32/sys_win.c 1.86:
	* win32/vid_dll.c 1.60:
	* win32/vid_menu.c 1.14:
		b6198

2005-10-26	r1ch
	* build.h 1.216:
	* genupdate.pl 1.8:
	* quake2.vcproj 1.49:
	* ref_gl/gl_local.h 1.63:
	* win32/glw_imp.c 1.36:
	* win32/q2.rc 1.87:
	* win32/sys_win.c 1.85:
	* win32/vid_dll.c 1.59:
		6

2005-10-25	r1ch
	* build.h 1.215:
	* client/cl_fx.c 1.27:
	* client/cl_http.c 1.4:
	* client/cl_input.c 1.48:
	* client/cl_parse.c 1.100:
	* client/snd_dma.c 1.51:
	* game/q_shared.h 1.72:
	* genupdate.pl 1.7:
	* qcommon/cmd.c 1.66:
	* qcommon/common.c 1.130:
	* qcommon/cvar.c 1.50:
	* qcommon/files.c 1.79:
	* qcommon/net_chan.c 1.48:
	* qcommon/qcommon.h 1.113:
	* qcommon/redblack.c 1.12:
	* qcommon/redblack.h 1.5:
	* quake2.vcproj 1.48:
	* ref_gl/gl_image.c 1.61:
	* ref_gl/gl_local.h 1.62:
	* server/sv_ents.c 1.51:
	* server/sv_init.c 1.87:
	* win32/glw_imp.c 1.35:
	* win32/net_wins.c 1.53:
	* win32/q2.rc 1.86:
	* win32/q_shwin.c 1.24:
	* win32/sys_win.c 1.84:
	* win32/winquake.h 1.11:
		Win32 exception handler

2005-10-20	r1ch
	* build.h 1.214:
	* server/sv_main.c 1.180:
	* win32/q2.rc 1.85:
		b5930

2005-10-15	r1ch
	* build.h 1.213:
	* win32/glw_imp.c 1.34:
		refgl fix

2005-09-25	r1ch
	* build.h 1.212:
	* quake2.vcproj 1.47:
	* server/sv_ccmds.c 1.92:
	* server/sv_main.c 1.179:
	* server/sv_user.c 1.147:
		setplayer fix, msglen fix

2005-09-24	r1ch
	* build.h 1.210:
	* client/cl_main.c 1.141:
	* quake2.vcproj 1.46:
	* win32/q2.rc 1.83:
		USE_CURL cleanups

	* qcommon/huffman.c 1.1:
		huff

	* build.h 1.208:
	* client/cl_http.c 1.3:
	* client/cl_main.c 1.140:
	* qcommon/files.c 1.78:
	* qcommon/qcommon.h 1.112:
	* server/sv_user.c 1.145:
	* win32/q2.rc 1.81:
		http fixes

	* build.h 1.209:
	* qcommon/cmd.c 1.65:
	* server/sv_main.c 1.178:
	* server/sv_user.c 1.146:
	* server/sv_world.c 1.33:
	* win32/q2.rc 1.82:
		linux cleanups

	* linux/al_linux.c 1.1:
	* linux/al_linux.h 1.1:
	* linux/qal_linux.c 1.1:
		OpenAL Linux

	* binaries/client/Makefile 1.3:
	* binaries/r1q2ded/Makefile 1.5:
	* build.h 1.211:
	* game/g_items.c 1.2:
	* generate-source-zip.bat 1.7:
	* uploadsrc.pl 1.3:
	* win32/q2.rc 1.84:
		final fixes

	* build.h 1.207:
	* client/cl_http.c 1.2:
	* client/cl_main.c 1.139:
	* client/cl_parse.c 1.99:
	* client/console.c 1.37:
	* quake2.vcproj 1.45:
	* win32/q2.rc 1.80:
		fixes

2005-09-23	r1ch
	* build.h 1.206:
	* client/cl_ents.c 1.53:
	* client/cl_http.c 1.1:
	* client/cl_main.c 1.138:
	* client/cl_parse.c 1.98:
	* client/cl_pred.c 1.28:
	* client/cl_scrn.c 1.44:
	* client/cl_tent.c 1.23:
	* client/cl_view.c 1.44:
	* client/client.h 1.58:
	* client/console.c 1.36:
	* client/keys.c 1.41:
	* client/keys.h 1.10:
	* client/menu.c 1.32:
	* client/screen.h 1.3:
	* client/snd_dma.c 1.50:
	* game/q_shared.c 1.58:
	* game/q_shared.h 1.71:
	* genupdate.pl 1.6:
	* qcommon/cmodel.c 1.42:
	* qcommon/common.c 1.129:
	* qcommon/cvar.c 1.49:
	* qcommon/files.c 1.77:
	* qcommon/net_chan.c 1.47:
	* qcommon/net_common.c 1.22:
	* qcommon/qcommon.h 1.111:
	* qcommon/redblack.c 1.11:
	* qcommon/redblack.h 1.4:
	* quake2.vcproj 1.44:
	* ref_gl/gl_image.c 1.60:
	* ref_gl/gl_light.c 1.21:
	* ref_gl/gl_local.h 1.61:
	* ref_gl/gl_rmain.c 1.58:
	* server/server.h 1.95:
	* server/sv_ccmds.c 1.91:
	* server/sv_ents.c 1.50:
	* server/sv_game.c 1.61:
	* server/sv_init.c 1.86:
	* server/sv_main.c 1.177:
	* server/sv_user.c 1.144:
	* server/sv_world.c 1.32:
	* updatebuild.pl 1.3:
	* updaterc.pl 1.2:
	* uploadsrc.pl 1.2:
	* win32/in_win.c 1.31:
	* win32/net_wins.c 1.52:
	* win32/q2.rc 1.79:
	* win32/q_shwin.c 1.23:
	* win32/snd_win.c 1.15:
	* win32/sys_win.c 1.83:
	* win32/vid_dll.c 1.58:
		HTTP downloading, demotranslating, winkey shit, tons of goodies, 
		oh my!

2005-05-15	r1ch
	* build.h 1.205:
	* client/cl_main.c 1.137:
	* client/cl_parse.c 1.97:
	* qcommon/cmodel.c 1.41:
	* qcommon/common.c 1.128:
	* qcommon/cvar.c 1.48:
	* qcommon/files.c 1.76:
	* qcommon/pmove.c 1.16:
	* qcommon/qcommon.h 1.110:
	* server/server.h 1.94:
	* server/sv_ccmds.c 1.90:
	* server/sv_ents.c 1.49:
	* server/sv_game.c 1.60:
	* server/sv_main.c 1.176:
	* server/sv_send.c 1.101:
	* server/sv_user.c 1.143:
	* server/sv_world.c 1.31:
	* win32/net_wins.c 1.51:
	* win32/q2.rc 1.78:
		5510

2005-05-07	r1ch
	* build.h 1.204:
	* client/menu.c 1.31:
	* client/qmenu.c 1.10:
	* qcommon/cmd.c 1.64:
	* ref_gl/gl_rmain.c 1.57:
	* win32/q2.rc 1.77:
		5494

	* build.h 1.203:
	* client/cl_ents.c 1.52:
	* client/cl_fx.c 1.26:
	* client/cl_input.c 1.47:
	* client/cl_main.c 1.135:
	* client/cl_parse.c 1.96:
	* client/cl_pred.c 1.27:
	* client/cl_tent.c 1.22:
	* client/cl_view.c 1.43:
	* client/snd_dma.c 1.49:
	* qcommon/qcommon.h 1.109:
	* server/server.h 1.92:
	* server/sv_ccmds.c 1.89:
	* server/sv_ents.c 1.48:
	* server/sv_game.c 1.59:
	* server/sv_init.c 1.85:
	* server/sv_main.c 1.174:
	* server/sv_send.c 1.99:
	* server/sv_user.c 1.141:
	* win32/q2.rc 1.76:
	* win32/vid_dll.c 1.57:
		recording fixes, more delta shit, etc

	* server/sv_send.c 1.100:
		fix netchan block

	* client/cl_main.c 1.136:
	* server/server.h 1.93:
	* server/sv_main.c 1.175:
	* server/sv_user.c 1.142:
		pics

2005-05-04	r1ch
	* build.h 1.202:
	* client/ref.h 1.15:
	* qcommon/files.c 1.75:
	* ref_gl/gl_rmain.c 1.56:
	* server/sv_ents.c 1.47:
	* win32/q2.rc 1.75:
	* win32/vid_dll.c 1.56:
		viewangle fix v2

	* linux/vid_so.c 1.8:
		extraapi

2005-05-02	r1ch
	* build.h 1.200:
	* client/cl_cin.c 1.8:
	* client/cl_ents.c 1.51:
	* client/cl_main.c 1.134:
	* client/cl_parse.c 1.95:
	* client/ref.h 1.14:
	* game/q_shared.c 1.57:
	* game/q_shared.h 1.70:
	* qcommon/cmodel.c 1.40:
	* qcommon/common.c 1.127:
	* qcommon/files.c 1.74:
	* qcommon/qcommon.h 1.108:
	* quake2.vcproj 1.43:
	* ref_gl/gl_draw.c 1.16:
	* ref_gl/gl_image.c 1.59:
	* ref_gl/gl_local.h 1.60:
	* ref_gl/gl_model.c 1.34:
	* server/server.h 1.91:
	* server/sv_ccmds.c 1.88:
	* server/sv_ents.c 1.45:
	* server/sv_init.c 1.84:
	* server/sv_main.c 1.173:
	* server/sv_send.c 1.98:
	* server/sv_user.c 1.140:
	* win32/q2.rc 1.74:
		demo fixup

	* build.h 1.201:
	* server/sv_ents.c 1.46:
		gunmodelindex fix

2005-05-01	r1ch
	* build.h 1.195:
	* client/cl_main.c 1.132:
	* qcommon/common.c 1.125:
	* qcommon/cvar.c 1.47:
	* qcommon/files.c 1.73:
	* qcommon/qcommon.h 1.106:
	* quake2.dsp 1.3:
	* quake2.vcproj 1.42:
	* server/sv_main.c 1.172:
	* server/sv_user.c 1.139:
	* win32/sys_win.c 1.82:
		vc project file, misc

	* build.h 1.196:
	* build.h 1.197:
	* build.h 1.198:
	* build.h 1.199:
	* client/cl_fx.c 1.25:
	* client/cl_input.c 1.46:
	* client/cl_tent.c 1.21:
	* client/console.h 1.5:
	* client/menu.c 1.30:
	* client/snd_loc.h 1.16:
	* qcommon/common.c 1.126:
	* qcommon/qcommon.h 1.107:
	* server/sv_world.c 1.30:
		-Wall fixes

	* game/g_main.c 1.4:
		visibility patch

	* binaries/client/Makefile 1.2:
	* binaries/make.inc 1.2:
	* client/cl_main.c 1.133:
	* client/client.h 1.57:
	* client/snd_dma.c 1.48:
	* client/snd_openal.h 1.3:
	* client/sound.h 1.8:
	* linux/snd_linux.c 1.6:
	* linux/sys_linux.c 1.38:
	* linux/vid_so.c 1.7:
		turol linux patches

	* linux/sys_linux.c 1.40:
	* qcommon/net_common.c 1.21:
		linux

	* binaries/r1q2ded/Makefile 1.4:
		fix rdynamic

	* linux/sys_linux.c 1.39:
		foo

2005-04-30	r1ch
	* linux/sys_linux.c 1.37:
		fix dl_iterate_phdr usage

	* build.h 1.194:
	* client/cl_ents.c 1.50:
	* client/cl_main.c 1.131:
	* client/cl_scrn.c 1.43:
	* client/keys.c 1.40:
	* client/menu.c 1.29:
	* client/snd_mem.c 1.30:
	* game/q_shared.h 1.69:
	* qcommon/cmodel.c 1.39:
	* qcommon/common.c 1.124:
	* qcommon/files.c 1.72:
	* qcommon/net_common.c 1.20:
	* qcommon/qcommon.h 1.105:
	* server/server.h 1.90:
	* server/sv_ccmds.c 1.87:
	* server/sv_ents.c 1.44:
	* server/sv_main.c 1.171:
	* server/sv_send.c 1.97:
	* server/sv_user.c 1.138:
	* win32/net_wins.c 1.50:
	* win32/sys_win.c 1.81:
	* win32/vid_dll.c 1.55:
		misc fixes

2005-04-25	r1ch
	* build.h 1.193:
	* client/cl_ents.c 1.49:
	* client/cl_fx.c 1.24:
	* client/cl_input.c 1.45:
	* client/cl_main.c 1.130:
	* client/cl_newfx.c 1.11:
	* client/cl_parse.c 1.94:
	* client/cl_view.c 1.42:
	* client/client.h 1.56:
	* client/menu.c 1.28:
	* client/ref.h 1.13:
	* client/snd_dma.c 1.47:
	* client/sound.h 1.7:
	* game/q_shared.c 1.56:
	* game/q_shared.h 1.68:
	* qcommon/cmd.c 1.63:
	* qcommon/cmodel.c 1.38:
	* qcommon/common.c 1.123:
	* qcommon/files.c 1.71:
	* qcommon/qcommon.h 1.104:
	* ref_gl/gl_image.c 1.58:
	* ref_gl/gl_local.h 1.59:
	* ref_gl/gl_mesh.c 1.19:
	* ref_gl/gl_model.c 1.33:
	* ref_gl/gl_rmain.c 1.55:
	* server/server.h 1.89:
	* server/sv_ents.c 1.43:
	* server/sv_game.c 1.58:
	* server/sv_init.c 1.83:
	* server/sv_main.c 1.170:
	* server/sv_send.c 1.96:
	* server/sv_user.c 1.137:
	* win32/conproc.c 1.9:
	* win32/glw_imp.c 1.33:
	* win32/in_win.c 1.30:
	* win32/q2.rc 1.73:
	* win32/q_shwin.c 1.22:
	* win32/sys_win.c 1.80:
	* win32/vid_dll.c 1.54:
		signs and potents

2005-04-08	r1ch
	* build.h 1.191:
	* client/cl_ents.c 1.48:
	* client/cl_inv.c 1.6:
	* client/cl_main.c 1.129:
	* client/cl_parse.c 1.93:
	* client/cl_pred.c 1.26:
	* client/cl_view.c 1.41:
	* client/client.h 1.55:
	* client/console.c 1.35:
	* client/console.h 1.4:
	* client/snd_dma.c 1.46:
	* client/sound.h 1.6:
	* game/m_flash.c 1.5:
	* game/q_shared.c 1.55:
	* game/q_shared.h 1.67:
	* qcommon/cmodel.c 1.37:
	* qcommon/common.c 1.122:
	* qcommon/cvar.c 1.46:
	* qcommon/files.c 1.70:
	* qcommon/pmove.c 1.15:
	* qcommon/qcommon.h 1.103:
	* server/server.h 1.86:
	* server/sv_ccmds.c 1.86:
	* server/sv_ents.c 1.41:
	* server/sv_init.c 1.82:
	* server/sv_main.c 1.168:
	* server/sv_send.c 1.95:
	* server/sv_user.c 1.136:
	* server/sv_world.c 1.28:
	* win32/q2.rc 1.71:
		fix various broken things wow

	* server/server.h 1.88:
		more header cleanups

	* build.h 1.192:
	* server/sv_ents.c 1.42:
	* server/sv_world.c 1.29:
	* win32/q2.rc 1.72:
		const, format fixes

	* server/server.h 1.87:
	* server/sv_main.c 1.169:
		sv_main cleanups

2005-04-07	r1ch
	* client/cl_main.c 1.128:
	* client/cl_parse.c 1.92:
	* client/client.h 1.54:
		noskins

2005-04-06	r1ch
	* build.h 1.190:
	* client/cl_main.c 1.127:
	* client/cl_parse.c 1.91:
	* qcommon/common.c 1.121:
	* qcommon/net_chan.c 1.46:
	* server/sv_game.c 1.57:
	* server/sv_init.c 1.81:
	* server/sv_main.c 1.167:
	* server/sv_user.c 1.135:
	* win32/q2.rc 1.70:
		netchan fix v3, download fix, more

2005-04-04	r1ch
	* build.h 1.187:
	* client/cl_parse.c 1.89:
	* generate-source-zip.bat 1.6:
		1600x1200 res fix

	* build.h 1.186:
	* client/cl_main.c 1.124:
	* qcommon/net_chan.c 1.45:
	* qcommon/qcommon.h 1.101:
	* server/sv_ccmds.c 1.85:
	* server/sv_main.c 1.165:
		user configurable msglen

	* client/cl_main.c 1.125:
	* client/cl_parse.c 1.90:
	* win32/q2.rc 1.68:
	* win32/vid_dll.c 1.53:
	* win32/vid_menu.c 1.13:
		nerds res

	* build.h 1.185:
	* client/cl_input.c 1.44:
	* client/cl_main.c 1.123:
	* client/cl_parse.c 1.88:
	* client/client.h 1.53:
	* client/keys.c 1.39:
	* client/snd_dma.c 1.45:
	* client/snd_loc.h 1.15:
	* client/snd_openal.c 1.21:
	* qcommon/common.c 1.120:
	* qcommon/files.c 1.69:
	* qcommon/net_chan.c 1.44:
	* quake2.dsp 1.2:
	* server/server.h 1.85:
	* server/sv_ccmds.c 1.83:
	* server/sv_ccmds.c 1.84:
	* server/sv_send.c 1.94:
	* server/sv_user.c 1.133:
	* win32/q2.rc 1.66:
	* win32/snd_win.c 1.14:
	* win32/sys_win.c 1.79:
	* win32/vid_dll.c 1.52:
		sup release

	* build.h 1.188:
	* win32/q2.rc 1.69:
		work

	* qcommon/qcommon.h 1.102:
		r1release

	* client/cl_main.c 1.126:
		strstr->strchr

	* win32/q2.rc 1.67:
		release

	* build.h 1.189:
	* server/sv_user.c 1.134:
		foo

	* server/sv_main.c 1.166:
		bugfix in msglen

	* linux/sys_linux.c 1.36:
		bt shit

2005-04-02	r1ch
	* linux/sys_linux.c 1.35:
		uint testing

	* build.h 1.183:
	* client/cl_fx.c 1.23:
	* client/client.h 1.52:
	* client/snd_dma.c 1.44:
	* client/snd_loc.h 1.14:
	* client/snd_mem.c 1.29:
	* client/snd_openal.h 1.2:
	* qcommon/files.c 1.68:
	* qcommon/qcommon.h 1.100:
	* quake2.vcproj 1.41:
	* server/server.h 1.83:
	* server/sv_ccmds.c 1.82:
	* server/sv_ents.c 1.40:
	* server/sv_user.c 1.130:
	* win32/q2.aps 1.10:
	* win32/q2.rc 1.65:
	* win32/vid_dll.c 1.51:
		misc shit, openal, etc etc

	* build.h 1.184:
	* server/server.h 1.84:
	* server/sv_main.c 1.164:
	* server/sv_user.c 1.132:
		misc shit

	* server/sv_user.c 1.131:
		download filesize fix

2005-03-29	r1ch
	* build.h 1.182:
	* client/cl_ents.c 1.47:
	* client/cl_main.c 1.122:
	* client/cl_parse.c 1.87:
	* client/client.h 1.51:
	* client/eax.h 1.1:
	* client/qal.h 1.1:
	* client/snd_dma.c 1.43:
	* client/snd_loc.h 1.13:
	* client/snd_mem.c 1.28:
	* client/snd_openal.h 1.1:
	* client/sound.h 1.5:
	* game/q_shared.h 1.66:
	* qcommon/qcommon.h 1.99:
	* quake2.vcproj 1.40:
	* ref_gl/gl_rmain.c 1.54:
	* server/sv_ccmds.c 1.81:
	* server/sv_ents.c 1.39:
	* server/sv_send.c 1.93:
	* server/sv_user.c 1.129:
		protocol fallback fix, openal support at last

2005-03-25	r1ch
	* linux/sys_linux.c 1.34:
		ic

	* linux/sys_linux.c 1.33:
		oh

2005-03-24	r1ch
	* build.h 1.179:
	* client/cl_ents.c 1.46:
	* client/cl_main.c 1.121:
	* client/cl_parse.c 1.86:
	* client/client.h 1.50:
	* client/x86.c 1.5:
	* game/q_shared.h 1.65:
	* generate-source-zip.bat 1.5:
	* linux/Makefile.AXP 1.2:
	* qcommon/cmd.c 1.62:
	* qcommon/common.c 1.118:
	* qcommon/cvar.c 1.45:
	* qcommon/files.c 1.67:
	* qcommon/net_chan.c 1.42:
	* qcommon/qcommon.h 1.98:
	* qcommon/qfiles.h 1.11:
	* qcommon/zconf.h 1.2:
	* qcommon/zlib.h 1.2:
	* qcommon/zutil.h 1.2:
	* quake2.vcproj 1.39:
	* r1q2.txt 1.5:
	* ref_gl/gl_image.c 1.57:
	* ref_gl/gl_local.h 1.58:
	* ref_gl/gl_mesh.c 1.18:
	* ref_gl/gl_model.c 1.32:
	* ref_gl/gl_rmisc.c 1.31:
	* server/server.h 1.81:
	* server/sv_ccmds.c 1.80:
	* server/sv_ents.c 1.37:
	* server/sv_init.c 1.80:
	* server/sv_main.c 1.161:
	* server/sv_send.c 1.90:
	* server/sv_user.c 1.126:
	* unix/next/sv_ccmds.o 1.2:
	* win32/conproc.c 1.8:
	* win32/vid_dll.c 1.50:
	* win32/winquake.aps 1.2:
	* win32/winquake.rc 1.2:
		new r1q2 netcode, log targets, x64 shit

	* build.h 1.180:
	* build.h 1.181:
	* qcommon/common.c 1.119:
	* qcommon/net_chan.c 1.43:
	* server/sv_ents.c 1.38:
	* server/sv_main.c 1.162:
	* server/sv_main.c 1.163:
	* server/sv_send.c 1.91:
	* server/sv_send.c 1.92:
	* server/sv_user.c 1.127:
	* server/sv_user.c 1.128:
		netchanfix

	* server/server.h 1.82:
		rm huff

2005-03-23	r1ch
	* linux/sys_linux.c 1.32:
	* qcommon/qcommon.h 1.97:
		more binary thingies

2005-03-22	r1ch
	* game/q_shared.h 1.64:
		namespace clash fix

	* linux/sys_linux.c 1.31:
		dump libs.

2005-03-20	r1ch
	* linux/sys_linux.c 1.29:
		backtrace on crash

	* qcommon/qcommon.h 1.96:
		release define

	* linux/sys_linux.c 1.30:
		remove crash

	* binaries/game/Makefile 1.2:
	* binaries/r1q2ded/Makefile 1.3:
		new makefile

2005-03-13	r1ch
	* build.h 1.177:
	* linux/net_udp.c 1.33:
	* qcommon/cmodel.c 1.36:
	* qcommon/cvar.c 1.44:
	* qcommon/files.c 1.66:
	* qcommon/net_common.c 1.19:
	* win32/net_wins.c 1.49:
		size_t fix

	* qcommon/qcommon.h 1.94:
		cpu string

	* build.h 1.176:
	* client/cl_main.c 1.120:
	* client/cl_parse.c 1.85:
	* client/cl_tent.c 1.20:
	* client/client.h 1.49:
	* game/game.dsp 1.2:
	* generate-source-zip.bat 1.4:
	* qcommon/cmodel.c 1.35:
	* qcommon/common.c 1.117:
	* qcommon/md4.h 1.2:
	* qcommon/qfiles.h 1.10:
	* quake2.dsp 1.1:
	* quake2.dsw 1.1:
	* r1q2.txt 1.4:
	* ref_gl/gl_draw.c 1.15:
	* ref_gl/gl_local.h 1.57:
	* ref_gl/gl_model.c 1.31:
	* ref_gl/ref_gl.def 1.1:
	* ref_gl/ref_gl.dsp 1.1:
		win32 build, more cleanups

	* build.h 1.178:
	* qcommon/md4.c 1.8:
	* qcommon/md4.h 1.3:
	* qcommon/qcommon.h 1.95:
		md4 fix

2005-03-12	r1ch
	* linux/sys_linux.c 1.28:
		fix

	* game/g_ai.c 1.2:
	* game/g_cmds.c 1.2:
	* game/g_combat.c 1.2:
	* game/g_monster.c 1.2:
	* game/g_spawn.c 1.3:
	* game/game.h 1.16:
	* game/m_boss31.c 1.2:
	* game/m_boss32.c 1.2:
	* game/m_chick.c 1.2:
	* game/m_insane.c 1.2:
	* game/p_hud.c 1.2:
		game fixes

	* qcommon/qfiles.h 1.8:
		undo debug

	* build.h 1.175:
	* client/cl_ents.c 1.45:
	* client/cl_input.c 1.43:
	* client/cl_main.c 1.119:
	* client/cl_newfx.c 1.10:
	* client/cl_parse.c 1.84:
	* client/cl_scrn.c 1.42:
	* client/cl_view.c 1.40:
	* client/client.h 1.48:
	* client/keys.c 1.38:
	* client/keys.h 1.9:
	* client/qmenu.c 1.9:
	* client/snd_dma.c 1.42:
	* client/snd_loc.h 1.12:
	* client/snd_mem.c 1.27:
	* client/snd_mix.c 1.14:
	* client/snd_openal.c 1.20:
	* client/vid.h 1.3:
	* game/q_shared.c 1.54:
	* game/q_shared.h 1.63:
	* linux/net_udp.c 1.32:
	* qcommon/cmd.c 1.61:
	* qcommon/cmodel.c 1.34:
	* qcommon/common.c 1.116:
	* qcommon/crc.c 1.2:
	* qcommon/cvar.c 1.43:
	* qcommon/files.c 1.65:
	* qcommon/md4.c 1.7:
	* qcommon/net_chan.c 1.41:
	* qcommon/net_common.c 1.18:
	* qcommon/pmove.c 1.14:
	* qcommon/qcommon.h 1.93:
	* qcommon/qfiles.h 1.9:
	* server/server.h 1.80:
	* server/sv_ccmds.c 1.79:
	* server/sv_ents.c 1.36:
	* server/sv_init.c 1.79:
	* server/sv_main.c 1.160:
	* server/sv_user.c 1.125:
	* win32/in_win.c 1.29:
	* win32/net_wins.c 1.48:
	* win32/q_shwin.c 1.21:
	* win32/sys_win.c 1.78:
	* win32/vid_dll.c 1.49:
		short/long lengths

	* build.h 1.174:
	* game/q_shared.c 1.53:
	* game/q_shared.h 1.62:
		inline fix

	* build.h 1.173:
	* client/cl_ents.c 1.44:
	* client/cl_input.c 1.42:
	* client/cl_main.c 1.118:
	* client/cl_parse.c 1.83:
	* client/cl_scrn.c 1.41:
	* client/menu.c 1.27:
	* client/snd_mix.c 1.13:
	* client/snd_openal.c 1.19:
	* game/g_main.c 1.3:
	* game/g_phys.c 1.2:
	* game/g_save.c 1.3:
	* game/game.h 1.15:
	* game/p_client.c 1.3:
	* game/q_shared.c 1.52:
	* game/q_shared.h 1.61:
	* linux/sys_linux.c 1.27:
	* qcommon/cmd.c 1.60:
	* qcommon/common.c 1.115:
	* qcommon/files.c 1.64:
	* qcommon/net_common.c 1.17:
	* qcommon/qcommon.h 1.92:
	* qcommon/qfiles.h 1.7:
	* quake2.vcproj 1.38:
	* ref_gl/gl_local.h 1.56:
	* ref_gl/gl_mesh.c 1.17:
	* ref_gl/gl_rmain.c 1.53:
	* server/server.h 1.79:
	* server/sv_ccmds.c 1.78:
	* server/sv_ents.c 1.35:
	* server/sv_game.c 1.56:
	* server/sv_init.c 1.78:
	* server/sv_main.c 1.159:
	* server/sv_send.c 1.89:
	* server/sv_user.c 1.124:
	* server/sv_world.c 1.27:
	* win32/q_shwin.c 1.20:
	* win32/sys_win.c 1.77:
	* win32/vid_menu.c 1.12:
	* win32/winquake.h 1.10:
		64 bit fixups

2005-03-11	r1ch
	* binaries/r1q2ded/Makefile 1.2:
	* qcommon/common.c 1.114:
	* qcommon/files.c 1.63:
	* server/server.h 1.78:
	* server/sv_game.c 1.55:
	* server/sv_send.c 1.88:
		x64 fixes

2005-03-03	r1ch
	* linux/sys_linux.c 1.26:
		x64 game

2005-02-26	r1ch
	* qcommon/files.c 1.62:
		fscache

	* build.h 1.172:
	* qcommon/files.c 1.61:
	* ref_gl/gl_local.h 1.55:
	* server/sv_ccmds.c 1.77:
	* server/sv_game.c 1.54:
	* server/sv_main.c 1.158:
	* win32/q2.rc 1.64:
		various

2005-02-23	r1ch
	* build.h 1.171:
	* client/cl_ents.c 1.43:
	* client/cl_fx.c 1.22:
	* client/cl_input.c 1.41:
	* client/cl_main.c 1.117:
	* client/cl_newfx.c 1.9:
	* client/cl_parse.c 1.82:
	* client/cl_pred.c 1.25:
	* client/cl_scrn.c 1.40:
	* client/cl_tent.c 1.19:
	* client/cl_view.c 1.39:
	* client/client.h 1.47:
	* client/console.c 1.34:
	* client/keys.c 1.37:
	* client/le_physics.c 1.7:
	* client/menu.c 1.26:
	* client/snd_dma.c 1.41:
	* client/snd_mem.c 1.26:
	* client/snd_mix.c 1.12:
	* client/snd_openal.c 1.18:
	* game/q_shared.c 1.51:
	* game/q_shared.h 1.60:
	* qcommon/cmd.c 1.58:
	* qcommon/cmodel.c 1.33:
	* qcommon/common.c 1.113:
	* qcommon/cvar.c 1.42:
	* qcommon/files.c 1.60:
	* qcommon/net_chan.c 1.40:
	* qcommon/net_common.c 1.16:
	* qcommon/pmove.c 1.13:
	* qcommon/qcommon.h 1.91:
	* quake2.vcproj 1.37:
	* ref_gl/gl_draw.c 1.14:
	* ref_gl/gl_image.c 1.56:
	* ref_gl/gl_light.c 1.20:
	* ref_gl/gl_mesh.c 1.16:
	* ref_gl/gl_model.c 1.30:
	* ref_gl/gl_rmain.c 1.52:
	* ref_gl/gl_rmisc.c 1.30:
	* ref_gl/gl_rsurf.c 1.22:
	* ref_gl/gl_warp.c 1.11:
	* server/server.h 1.77:
	* server/sv_ccmds.c 1.76:
	* server/sv_ents.c 1.34:
	* server/sv_game.c 1.53:
	* server/sv_init.c 1.77:
	* server/sv_main.c 1.157:
	* server/sv_send.c 1.87:
	* server/sv_user.c 1.123:
	* server/sv_world.c 1.26:
	* win32/glw_imp.c 1.32:
	* win32/in_win.c 1.28:
	* win32/net_wins.c 1.47:
	* win32/q2.rc 1.63:
	* win32/qgl_win.c 1.11:
	* win32/vid_dll.c 1.48:
	* win32/vid_menu.c 1.11:
		float/double/int truncation fixes

	* qcommon/cmd.c 1.59:
		oh

2005-02-20	r1ch
	* build.h 1.170:
	* client/cl_main.c 1.116:
	* client/cl_parse.c 1.81:
	* client/cl_scrn.c 1.39:
	* client/cl_view.c 1.38:
	* client/client.h 1.46:
	* game/game.h 1.14:
	* linux/q_shlinux.c 1.4:
	* qcommon/cmd.c 1.57:
	* qcommon/cvar.c 1.41:
	* qcommon/files.c 1.59:
	* quake2.vcproj 1.36:
	* server/server.h 1.76:
	* server/sv_game.c 1.52:
	* server/sv_init.c 1.76:
	* server/sv_user.c 1.122:
	* win32/sys_win.c 1.76:
		alloca undo

2005-02-19	r1ch
	* build.h 1.169:
	* client/anorms.h 1.3:
	* client/cl_parse.c 1.80:
	* client/cl_tent.c 1.18:
	* client/cl_view.c 1.37:
	* client/keys.c 1.36:
	* client/menu.c 1.25:
	* game/m_flash.c 1.4:
	* game/q_shared.c 1.50:
	* game/q_shared.h 1.59:
	* qcommon/common.c 1.112:
	* qcommon/cvar.c 1.40:
	* qcommon/pmove.c 1.12:
	* qcommon/qcommon.h 1.90:
	* qcommon/qfiles.h 1.6:
	* ref_gl/gl_image.c 1.55:
	* ref_gl/gl_local.h 1.54:
	* ref_gl/gl_rmain.c 1.51:
	* server/sv_game.c 1.51:
	* server/sv_init.c 1.75:
	* server/sv_send.c 1.86:
	* server/sv_user.c 1.121:
	* win32/glw_imp.c 1.31:
	* win32/q2.rc 1.62:
	* win32/qgl_win.c 1.10:
	* win32/sys_win.c 1.75:
		stuff

2005-02-14	r1ch
	* qcommon/cmd.c 1.56:
	* qcommon/cmodel.c 1.31:
	* qcommon/cmodel.c 1.32:
	* qcommon/cvar.c 1.39:
	* win32/in_win.c 1.27:
	* win32/q2.rc 1.61:
		format string fix

	* build.h 1.168:
	* client/anorms.h 1.2:
	* client/cl_ents.c 1.42:
	* client/cl_fx.c 1.21:
	* client/cl_main.c 1.115:
	* client/cl_newfx.c 1.8:
	* client/cl_parse.c 1.79:
	* client/cl_scrn.c 1.38:
	* client/cl_tent.c 1.17:
	* client/cl_view.c 1.36:
	* client/client.h 1.45:
	* client/console.c 1.33:
	* client/snd_dma.c 1.40:
	* client/snd_loc.h 1.11:
	* client/snd_mem.c 1.25:
	* game/m_flash.c 1.3:
	* game/q_shared.c 1.49:
	* game/q_shared.h 1.58:
	* qcommon/cmd.c 1.55:
	* qcommon/cmodel.c 1.30:
	* qcommon/common.c 1.111:
	* qcommon/cvar.c 1.38:
	* qcommon/files.c 1.58:
	* qcommon/net_common.c 1.15:
	* qcommon/pmove.c 1.11:
	* qcommon/qcommon.h 1.89:
	* quake2.vcproj 1.35:
	* ref_gl/anormtab.h 1.2:
	* ref_gl/gl_draw.c 1.13:
	* ref_gl/gl_light.c 1.19:
	* ref_gl/gl_mesh.c 1.15:
	* ref_gl/gl_rmain.c 1.50:
	* ref_gl/gl_rmisc.c 1.29:
	* ref_gl/gl_rsurf.c 1.21:
	* ref_gl/gl_warp.c 1.10:
	* server/sv_ccmds.c 1.75:
	* server/sv_game.c 1.50:
	* server/sv_init.c 1.74:
	* server/sv_main.c 1.156:
	* server/sv_user.c 1.120:
	* win32/in_win.c 1.26:
	* win32/net_wins.c 1.46:
	* win32/q_shwin.c 1.19:
		fixes++

2005-02-12	r1ch
	* build.h 1.166:
	* client/cl_view.c 1.35:
	* client/keys.c 1.35:
	* generate-source-zip.bat 1.3:
	* qcommon/cmd.c 1.54:
	* qcommon/cmodel.c 1.28:
	* qcommon/common.c 1.109:
	* qcommon/files.c 1.57:
	* qcommon/qcommon.h 1.86:
	* ref_gl/gl_rmain.c 1.49:
	* server/server.h 1.75:
	* server/sv_ccmds.c 1.74:
	* server/sv_game.c 1.49:
	* server/sv_init.c 1.73:
	* server/sv_send.c 1.85:
	* server/sv_user.c 1.119:
	* server/sv_world.c 1.25:
	* win32/q2.rc 1.60:
	* win32/sys_win.c 1.74:
	* win32/vid_menu.c 1.10:
		msg profile, map hax

	* qcommon/common.c 1.110:
	* qcommon/qcommon.h 1.87:
		va dprintf

	* build.h 1.167:
	* qcommon/cmodel.c 1.29:
	* qcommon/qcommon.h 1.88:
		fix crash

	* game/q_shared.h 1.57:
		linux _asm fix

2005-02-06	r1ch
	* game/g_local.h 1.2:
	* game/g_main.c 1.2:
	* game/g_save.c 1.2:
	* game/g_spawn.c 1.2:
	* game/game.h 1.13:
		compilation cleanups

	* Makefile 1.9:
		fix

	* server/sv_user.c 1.118:
		format string fix

	* build.h 1.165:
	* client/cl_main.c 1.114:
	* client/cl_view.c 1.34:
	* client/keys.c 1.34:
	* client/menu.c 1.24:
	* qcommon/cmd.c 1.53:
	* qcommon/common.c 1.108:
	* qcommon/pmove.c 1.10:
	* quake2.vcproj 1.34:
	* ref_gl/gl_local.h 1.53:
	* server/sv_init.c 1.72:
	* server/sv_main.c 1.155:
	* server/sv_user.c 1.117:
	* win32/in_win.c 1.25:
	* win32/q2.rc 1.59:
	* win32/sys_win.c 1.73:
	* win32/vid_dll.c 1.47:
		release b4449

	* binaries/Makefile 1.1:
	* binaries/client/Makefile 1.1:
	* binaries/game/Makefile 1.1:
	* binaries/make.inc 1.1:
	* binaries/r1q2ded/Makefile 1.1:
		new buildsystem

2005-02-05	r1ch
	* build.h 1.164:
	* client/cl_main.c 1.113:
	* client/cl_scrn.c 1.37:
	* qcommon/common.c 1.107:
	* qcommon/qcommon.h 1.85:
	* quake2.vcproj 1.33:
	* ref_gl/gl_image.c 1.54:
	* server/sv_ccmds.c 1.73:
	* server/sv_game.c 1.48:
	* server/sv_user.c 1.116:
	* server/sv_world.c 1.24:
	* win32/q2.rc 1.58:
		b4437

2005-02-04	r1ch
	* build.h 1.163:
	* client/cl_tent.c 1.16:
	* client/keys.c 1.33:
	* client/le_physics.c 1.6:
	* client/menu.c 1.23:
	* client/snd_dma.c 1.39:
	* game/q_shared.c 1.48:
	* linux/snd_linux.c 1.5:
	* linux/vid_so.c 1.6:
	* qcommon/cmd.c 1.52:
	* ref_gl/gl_image.c 1.53:
	* ref_gl/gl_model.c 1.29:
	* server/server.h 1.74:
	* server/sv_ccmds.c 1.72:
	* server/sv_ents.c 1.33:
	* server/sv_send.c 1.84:
	* win32/in_win.c 1.24:
	* win32/vid_dll.c 1.46:
		deathray build

2005-02-03	r1ch
	* build.h 1.159:
	* build.h 1.160:
	* build.h 1.161:
	* build.h 1.162:
	* client/cl_fx.c 1.20:
	* client/cl_main.c 1.112:
	* client/cl_parse.c 1.77:
	* client/cl_parse.c 1.78:
	* client/cl_tent.c 1.15:
	* client/cl_view.c 1.33:
	* client/menu.c 1.21:
	* client/menu.c 1.22:
	* client/ref.h 1.12:
	* client/snd_mix.c 1.11:
	* game/q_shared.c 1.46:
	* game/q_shared.c 1.47:
	* game/q_shared.h 1.55:
	* game/q_shared.h 1.56:
	* linux/snd_linux.c 1.4:
	* linux/vid_so.c 1.5:
	* qcommon/cmd.c 1.51:
	* qcommon/cmodel.c 1.27:
	* qcommon/common.c 1.106:
	* qcommon/cvar.c 1.37:
	* qcommon/files.c 1.55:
	* qcommon/files.c 1.56:
	* qcommon/net_common.c 1.14:
	* qcommon/qcommon.h 1.83:
	* qcommon/qcommon.h 1.84:
	* ref_gl/gl_image.c 1.52:
	* ref_gl/gl_local.h 1.52:
	* ref_gl/gl_model.c 1.28:
	* ref_gl/gl_rmain.c 1.48:
	* server/server.h 1.73:
	* server/sv_game.c 1.47:
	* server/sv_init.c 1.71:
	* server/sv_main.c 1.154:
	* server/sv_user.c 1.114:
	* server/sv_user.c 1.115:
	* server/sv_world.c 1.23:
	* win32/net_wins.c 1.45:
	* win32/q2.rc 1.57:
	* win32/sys_win.c 1.72:
	* win32/vid_dll.c 1.45:
		linux build test

	* game/m_flash.c 1.2:
		initializers

	* linux/cd_linux.c 1.2:
	* linux/snd_linux.c 1.3:
	* linux/vid_menu.c 1.3:
	* linux/vid_so.c 1.4:
		linux fixes from turol

2005-02-01	r1ch
	* build.h 1.158:
	* ref_gl/gl_local.h 1.51:
	* server/sv_user.c 1.113:
	* win32/q2.rc 1.56:
		cvarban crashfix

	* build.h 1.157:
	* client/cl_main.c 1.111:
	* client/cl_parse.c 1.76:
	* client/cl_scrn.c 1.36:
	* client/cl_view.c 1.32:
	* client/client.h 1.44:
	* client/keys.c 1.32:
	* qcommon/files.c 1.54:
	* ref_gl/gl_image.c 1.51:
	* ref_gl/gl_local.h 1.50:
	* ref_gl/gl_model.c 1.27:
	* ref_gl/gl_model.h 1.4:
	* server/sv_main.c 1.153:
	* win32/in_win.c 1.23:
	* win32/q2.rc 1.55:
	* win32/q_shwin.c 1.18:
		fixes++

	* game/game.h 1.12:
		gcc hax

2005-01-31	r1ch
	* build.h 1.156:
	* client/cl_fx.c 1.19:
	* client/cl_main.c 1.110:
	* client/cl_parse.c 1.75:
	* client/client.h 1.43:
	* client/keys.c 1.31:
	* client/menu.c 1.20:
	* game/q_shared.c 1.45:
	* qcommon/common.c 1.104:
	* qcommon/net_common.c 1.13:
	* qcommon/qcommon.h 1.82:
	* ref_gl/gl_image.c 1.50:
	* ref_gl/gl_light.c 1.18:
	* ref_gl/gl_rmain.c 1.47:
	* server/server.h 1.71:
	* server/sv_ccmds.c 1.71:
	* server/sv_game.c 1.46:
	* server/sv_init.c 1.70:
	* server/sv_main.c 1.152:
	* server/sv_user.c 1.112:
	* win32/q2.rc 1.54:
	* win32/vid_dll.c 1.44:
		kommit

	* server/server.h 1.72:
		args

	* qcommon/common.c 1.105:
		eol

2005-01-27	r1ch
	* ref_gl/gl_r1_png.c 1.2:
		useless

2005-01-26	r1ch
	* build.h 1.155:
	* client/cl_fx.c 1.18:
	* client/cl_main.c 1.109:
	* client/cl_parse.c 1.74:
	* client/cl_tent.c 1.14:
	* client/console.c 1.32:
	* client/keys.c 1.30:
	* client/ref.h 1.10:
	* game/game.h 1.10:
	* game/q_shared.c 1.42:
	* game/q_shared.h 1.53:
	* linux/net_udp.c 1.31:
	* qcommon/common.c 1.101:
	* qcommon/cvar.c 1.35:
	* qcommon/qcommon.h 1.80:
	* quake2.vcproj 1.32:
	* ref_gl/gl_image.c 1.49:
	* ref_gl/gl_light.c 1.17:
	* ref_gl/gl_local.h 1.49:
	* ref_gl/gl_model.c 1.26:
	* ref_gl/gl_rmain.c 1.45:
	* ref_gl/gl_rsurf.c 1.20:
	* ref_gl/qgl.h 1.5:
	* server/server.h 1.69:
	* server/sv_ccmds.c 1.70:
	* server/sv_main.c 1.150:
	* server/sv_send.c 1.82:
	* server/sv_user.c 1.111:
	* win32/glw_imp.c 1.30:
	* win32/net_wins.c 1.44:
	* win32/q2.rc 1.53:
	* win32/qgl_win.c 1.9:
	* win32/vid_dll.c 1.42:
		spawning fix, baselines fix

	* game/q_shared.c 1.44:
	* linux/sys_linux.c 1.25:
		const

	* client/client.h 1.42:
	* client/ref.h 1.11:
	* game/game.h 1.11:
	* game/q_shared.c 1.43:
	* game/q_shared.h 1.54:
	* qcommon/cmodel.c 1.26:
	* qcommon/common.c 1.103:
	* qcommon/cvar.c 1.36:
	* qcommon/files.c 1.53:
	* qcommon/net_chan.c 1.39:
	* qcommon/qcommon.h 1.81:
	* ref_gl/gl_rmain.c 1.46:
	* server/server.h 1.70:
	* server/sv_ents.c 1.32:
	* server/sv_game.c 1.45:
	* server/sv_main.c 1.151:
	* server/sv_send.c 1.83:
	* win32/sys_win.c 1.71:
	* win32/vid_dll.c 1.43:
	* win32/vid_menu.c 1.9:
		z fixes

	* qcommon/common.c 1.102:
		varargs

2005-01-25	r1ch
	* qcommon/qcommon.h 1.79:
		malloc arg

	* build.h 1.154:
	* client/cl_input.c 1.40:
	* client/cl_main.c 1.108:
	* client/cl_parse.c 1.73:
	* client/cl_view.c 1.31:
	* client/keys.c 1.29:
	* client/le_physics.c 1.5:
	* client/snd_dma.c 1.38:
	* client/snd_mem.c 1.24:
	* game/q_shared.h 1.52:
	* qcommon/common.c 1.100:
	* qcommon/cvar.c 1.34:
	* qcommon/files.c 1.52:
	* qcommon/net_chan.c 1.38:
	* qcommon/qcommon.h 1.78:
	* server/sv_game.c 1.44:
	* server/sv_main.c 1.149:
	* server/sv_user.c 1.110:
	* win32/in_win.c 1.22:
	* win32/net_wins.c 1.43:
	* win32/q2.rc 1.52:
		varargs fixups

2005-01-24	r1ch
	* build.h 1.153:
	* client/cl_input.c 1.39:
	* client/cl_main.c 1.107:
	* client/client.h 1.41:
	* client/keys.c 1.28:
	* client/keys.h 1.8:
	* ref_gl/gl_light.c 1.16:
	* ref_gl/gl_local.h 1.48:
	* win32/in_win.c 1.21:
	* win32/q2.rc 1.51:
	* win32/sys_win.c 1.70:
	* win32/vid_dll.c 1.41:
	* win32/vid_menu.c 1.8:
	* win32/winquake.h 1.9:
		oo

2005-01-23	r1ch
	* build.h 1.152:
	* client/cl_cin.c 1.7:
	* client/cl_fx.c 1.17:
	* client/cl_main.c 1.106:
	* client/cl_parse.c 1.72:
	* client/console.c 1.31:
	* client/keys.c 1.27:
	* client/keys.h 1.7:
	* client/menu.c 1.19:
	* game/q_shared.h 1.51:
	* linux/sys_linux.c 1.24:
	* qcommon/cmodel.c 1.25:
	* qcommon/common.c 1.99:
	* qcommon/cvar.c 1.33:
	* qcommon/net_common.c 1.12:
	* qcommon/qcommon.h 1.77:
	* ref_gl/gl_local.h 1.47:
	* ref_gl/gl_model.c 1.25:
	* server/sv_ccmds.c 1.69:
	* server/sv_init.c 1.69:
	* server/sv_main.c 1.148:
	* server/sv_user.c 1.109:
	* win32/cd_win.c 1.5:
	* win32/in_win.c 1.20:
	* win32/q2.rc 1.50:
	* win32/sys_win.c 1.69:
	* win32/vid_dll.c 1.40:
	* win32/winquake.h 1.8:
		b4186

2005-01-22	r1ch
	* Makefile 1.7:
	* build.h 1.151:
	* client/cl_ents.c 1.41:
	* client/cl_fx.c 1.16:
	* client/cl_main.c 1.105:
	* client/cl_parse.c 1.71:
	* client/cl_scrn.c 1.35:
	* client/cl_view.c 1.30:
	* client/client.h 1.40:
	* client/console.c 1.30:
	* client/keys.c 1.26:
	* client/menu.c 1.18:
	* client/qmenu.c 1.8:
	* client/snd_dma.c 1.37:
	* client/snd_mem.c 1.23:
	* game/q_shared.h 1.50:
	* genupdate.pl 1.5:
	* linux/sys_linux.c 1.23:
	* qcommon/cmd.c 1.50:
	* qcommon/cmodel.c 1.24:
	* qcommon/common.c 1.98:
	* qcommon/cvar.c 1.32:
	* qcommon/files.c 1.51:
	* qcommon/net_chan.c 1.37:
	* qcommon/qcommon.h 1.76:
	* qcommon/qfiles.h 1.5:
	* quake2.vcproj 1.31:
	* ref_gl/gl_image.c 1.48:
	* ref_gl/gl_local.h 1.46:
	* ref_gl/gl_model.c 1.24:
	* ref_gl/gl_rmisc.c 1.28:
	* server/sv_ccmds.c 1.68:
	* server/sv_game.c 1.43:
	* server/sv_init.c 1.68:
	* server/sv_main.c 1.147:
	* server/sv_send.c 1.81:
	* server/sv_user.c 1.108:
	* server/sv_world.c 1.22:
	* win32/q2.rc 1.49:
	* win32/sys_win.c 1.68:
		playerskins fix

2005-01-18	r1ch
	* build.h 1.150:
	* client/cl_main.c 1.104:
	* game/q_shared.h 1.49:
	* qcommon/common.c 1.97:
	* ref_gl/gl_rmain.c 1.44:
	* server/sv_main.c 1.146:
	* server/sv_user.c 1.107:
	* win32/q2.rc 1.48:
	* win32/sys_win.c 1.67:
		release b4038

2005-01-17	r1ch
	* build.h 1.149:
	* client/cl_main.c 1.103:
	* client/cl_parse.c 1.70:
	* client/client.h 1.39:
	* client/console.c 1.29:
	* client/keys.c 1.25:
	* linux/sys_linux.c 1.22:
	* qcommon/cmodel.c 1.23:
	* qcommon/common.c 1.96:
	* qcommon/cvar.c 1.31:
	* ref_gl/gl_local.h 1.45:
	* ref_gl/gl_model.c 1.23:
	* ref_gl/gl_rmain.c 1.43:
	* server/sv_ents.c 1.31:
	* server/sv_main.c 1.145:
	* server/sv_send.c 1.80:
	* win32/glw_imp.c 1.29:
	* win32/q2.rc 1.47:
	* win32/sys_win.c 1.66:
	* win32/vid_dll.c 1.39:
		z_debug fix

	* qcommon/qcommon.h 1.75:
		header

2005-01-16	r1ch
	* build.h 1.148:
	* client/cl_ents.c 1.40:
	* client/cl_input.c 1.38:
	* client/cl_main.c 1.102:
	* client/cl_parse.c 1.69:
	* client/console.c 1.28:
	* client/keys.c 1.24:
	* client/keys.h 1.6:
	* client/snd_dma.c 1.36:
	* qcommon/cmodel.c 1.22:
	* qcommon/common.c 1.95:
	* qcommon/files.c 1.50:
	* qcommon/net_common.c 1.11:
	* qcommon/qcommon.h 1.74:
	* ref_gl/gl_draw.c 1.12:
	* ref_gl/gl_light.c 1.15:
	* ref_gl/gl_local.h 1.44:
	* ref_gl/gl_rmain.c 1.42:
	* ref_gl/gl_rsurf.c 1.19:
	* server/sv_ccmds.c 1.67:
	* server/sv_ents.c 1.30:
	* server/sv_main.c 1.144:
	* server/sv_send.c 1.79:
	* win32/in_win.c 1.19:
	* win32/q2.rc 1.46:
		b4025

2005-01-15	r1ch
	* build.h 1.147:
	* client/cl_cin.c 1.6:
	* client/cl_main.c 1.101:
	* client/cl_scrn.c 1.34:
	* client/snd_dma.c 1.35:
	* game/q_shared.h 1.48:
	* linux/sys_linux.c 1.21:
	* qcommon/common.c 1.94:
	* qcommon/files.c 1.49:
	* qcommon/qcommon.h 1.73:
	* quake2.vcproj 1.30:
	* server/server.h 1.68:
	* server/sv_game.c 1.42:
	* server/sv_main.c 1.143:
	* server/sv_user.c 1.106:
	* server/sv_world.c 1.21:
	* win32/in_win.c 1.18:
	* win32/q_shwin.c 1.17:
	* win32/sys_win.c 1.65:
		final v1

2005-01-13	r1ch
	* build.h 1.146:
	* client/cl_fx.c 1.15:
	* client/cl_main.c 1.100:
	* client/cl_tent.c 1.13:
	* client/client.h 1.38:
	* qcommon/cmd.c 1.49:
	* server/sv_user.c 1.105:
	* win32/q2.rc 1.45:
		cvarbans

2005-01-12	r1ch
	* build.h 1.145:
	* client/cl_input.c 1.37:
	* client/cl_main.c 1.99:
	* client/cl_pred.c 1.24:
	* client/cl_tent.c 1.12:
	* ref_gl/gl_rmain.c 1.41:
	* server/sv_user.c 1.104:
	* win32/q2.rc 1.44:
		foo

	* linux/sys_linux.c 1.20:
		funky eol

	* build.h 1.144:
	* client/cl_ents.c 1.39:
	* client/cl_fx.c 1.14:
	* client/cl_main.c 1.98:
	* client/cl_newfx.c 1.7:
	* client/cl_parse.c 1.68:
	* client/cl_pred.c 1.23:
	* client/cl_scrn.c 1.33:
	* client/cl_tent.c 1.11:
	* client/cl_view.c 1.29:
	* client/client.h 1.37:
	* client/keys.c 1.23:
	* client/keys.h 1.5:
	* client/le_util.c 1.6:
	* client/menu.c 1.17:
	* client/snd_dma.c 1.34:
	* game/q_shared.c 1.41:
	* game/q_shared.h 1.47:
	* linux/sys_linux.c 1.19:
	* qcommon/cmd.c 1.48:
	* qcommon/common.c 1.93:
	* qcommon/qcommon.h 1.72:
	* ref_gl/gl_light.c 1.14:
	* ref_gl/gl_rmain.c 1.40:
	* ref_gl/gl_warp.c 1.9:
	* server/server.h 1.67:
	* server/sv_ccmds.c 1.66:
	* server/sv_ents.c 1.29:
	* server/sv_game.c 1.41:
	* server/sv_init.c 1.67:
	* server/sv_main.c 1.142:
	* server/sv_user.c 1.103:
	* win32/glw_imp.c 1.28:
	* win32/in_win.c 1.17:
	* win32/q2.rc 1.43:
	* win32/sys_win.c 1.64:
	* win32/vid_dll.c 1.38:
		more userinfo validation, userinfo bans, oh my!

2005-01-11	r1ch
	* build.h 1.143:
	* server/sv_ccmds.c 1.65:
		pre

	* build.h 1.142:
	* client/cl_main.c 1.97:
	* client/cl_newfx.c 1.6:
	* client/cl_pred.c 1.22:
	* client/cl_view.c 1.28:
	* client/console.c 1.27:
	* game/q_shared.c 1.40:
	* qcommon/cmodel.c 1.21:
	* qcommon/common.c 1.92:
	* quake2.vcproj 1.29:
	* server/server.h 1.66:
	* server/sv_main.c 1.141:
	* server/sv_send.c 1.78:
	* server/sv_user.c 1.102:
	* server/sv_world.c 1.20:
	* win32/in_win.c 1.16:
	* win32/sys_win.c 1.63:
		poopsticks

2005-01-10	r1ch
	* build.h 1.140:
	* build.h 1.141:
	* client/cl_ents.c 1.38:
	* client/cl_main.c 1.95:
	* client/cl_main.c 1.96:
	* client/cl_parse.c 1.66:
	* client/cl_parse.c 1.67:
	* client/cl_pred.c 1.21:
	* client/cl_scrn.c 1.32:
	* client/cl_view.c 1.27:
	* client/client.h 1.35:
	* client/client.h 1.36:
	* client/console.c 1.26:
	* client/keys.c 1.22:
	* client/menu.c 1.16:
	* client/snd_mem.c 1.22:
	* client/snd_mix.c 1.10:
	* game/q_shared.h 1.46:
	* linux/net_udp.c 1.30:
	* qcommon/cmodel.c 1.20:
	* qcommon/common.c 1.91:
	* qcommon/cvar.c 1.30:
	* qcommon/files.c 1.48:
	* qcommon/net_chan.c 1.36:
	* qcommon/net_common.c 1.10:
	* qcommon/qcommon.h 1.70:
	* qcommon/qcommon.h 1.71:
	* quake2.vcproj 1.28:
	* ref_gl/gl_draw.c 1.11:
	* ref_gl/gl_image.c 1.47:
	* ref_gl/gl_light.c 1.13:
	* ref_gl/gl_local.h 1.42:
	* ref_gl/gl_local.h 1.43:
	* ref_gl/gl_mesh.c 1.14:
	* ref_gl/gl_model.c 1.22:
	* ref_gl/gl_rmain.c 1.38:
	* ref_gl/gl_rmain.c 1.39:
	* ref_gl/gl_rsurf.c 1.18:
	* server/server.h 1.64:
	* server/server.h 1.65:
	* server/sv_ccmds.c 1.63:
	* server/sv_ccmds.c 1.64:
	* server/sv_main.c 1.138:
	* server/sv_main.c 1.139:
	* server/sv_main.c 1.140:
	* server/sv_user.c 1.100:
	* server/sv_user.c 1.101:
	* server/sv_user.c 1.99:
	* win32/glw_imp.c 1.26:
	* win32/glw_imp.c 1.27:
	* win32/in_win.c 1.15:
	* win32/q2.rc 1.42:
	* win32/q_shwin.c 1.16:
	* win32/vid_menu.c 1.7:
		debug tourney

2005-01-08	r1ch
	* build.h 1.139:
	* client/cl_ents.c 1.37:
	* client/cl_main.c 1.94:
	* client/cl_parse.c 1.65:
	* client/cl_pred.c 1.20:
	* client/cl_scrn.c 1.31:
	* client/cl_view.c 1.26:
	* client/console.c 1.25:
	* client/snd_mem.c 1.21:
	* qcommon/cmodel.c 1.19:
	* qcommon/common.c 1.90:
	* qcommon/files.c 1.47:
	* qcommon/qcommon.h 1.69:
	* server/sv_ents.c 1.28:
	* server/sv_main.c 1.137:
	* server/sv_user.c 1.98:
	* server/sv_world.c 1.19:
	* win32/q2.rc 1.41:
		fix cmodel client clipping, don't send old origin constantly

2005-01-07	r1ch
	* build.h 1.137:
	* client/cl_main.c 1.93:
	* client/cl_parse.c 1.63:
	* client/cl_scrn.c 1.30:
	* game/q_shared.h 1.45:
	* qcommon/common.c 1.88:
	* qcommon/files.c 1.46:
	* qcommon/qcommon.h 1.68:
	* quake2.vcproj 1.27:
	* ref_gl/gl_draw.c 1.10:
	* ref_gl/gl_light.c 1.12:
	* ref_gl/gl_model.c 1.21:
	* ref_gl/gl_rmain.c 1.37:
	* ref_gl/gl_rmisc.c 1.27:
	* ref_gl/gl_rsurf.c 1.17:
	* ref_gl/gl_warp.c 1.8:
	* server/sv_ccmds.c 1.62:
	* server/sv_ents.c 1.27:
	* server/sv_main.c 1.136:
	* server/sv_send.c 1.77:
	* server/sv_user.c 1.97:
	* win32/glw_imp.c 1.25:
	* win32/q2.rc 1.39:
	* win32/q_shwin.c 1.15:
		download

	* build.h 1.138:
	* client/cl_parse.c 1.64:
	* qcommon/common.c 1.89:
	* win32/q2.rc 1.40:
		whutever

2005-01-06	r1ch
	* qcommon/common.c 1.87:
		cbuf fix

	* build.h 1.136:
	* client/cl_pred.c 1.19:
	* client/cl_scrn.c 1.29:
	* client/console.h 1.3:
	* qcommon/cmodel.c 1.18:
	* ref_gl/gl_draw.c 1.9:
	* ref_gl/gl_local.h 1.41:
	* ref_gl/gl_rmain.c 1.36:
	* ref_gl/gl_rsurf.c 1.16:
	* server/sv_game.c 1.40:
	* server/sv_init.c 1.66:
	* server/sv_world.c 1.18:
		game fixes

	* server/sv_main.c 1.135:
	* server/sv_world.c 1.17:
		doh crash oops etc

	* build.h 1.134:
	* build.h 1.135:
	* qcommon/net_chan.c 1.35:
	* server/sv_main.c 1.133:
	* server/sv_main.c 1.134:
		qport fix2

2005-01-05	r1ch
	* build.h 1.132:
	* client/cl_input.c 1.36:
	* client/cl_main.c 1.91:
	* client/cl_parse.c 1.61:
	* client/cl_scrn.c 1.28:
	* client/cl_view.c 1.25:
	* client/client.h 1.33:
	* client/console.c 1.24:
	* client/keys.c 1.21:
	* client/keys.h 1.4:
	* client/menu.c 1.15:
	* client/snd_dma.c 1.32:
	* game/q_shared.c 1.39:
	* game/q_shared.h 1.43:
	* qcommon/common.c 1.84:
	* qcommon/cvar.c 1.29:
	* qcommon/files.c 1.44:
	* qcommon/qcommon.h 1.67:
	* quake2.vcproj 1.26:
	* ref_gl/gl_image.c 1.45:
	* ref_gl/gl_light.c 1.11:
	* ref_gl/gl_local.h 1.39:
	* ref_gl/gl_mesh.c 1.13:
	* ref_gl/gl_model.c 1.19:
	* ref_gl/gl_rmain.c 1.35:
	* ref_gl/gl_rsurf.c 1.15:
	* ref_gl/gl_warp.c 1.6:
	* server/server.h 1.63:
	* server/sv_init.c 1.65:
	* server/sv_main.c 1.131:
	* server/sv_send.c 1.76:
	* server/sv_user.c 1.95:
	* win32/glw_imp.c 1.24:
	* win32/in_win.c 1.14:
	* win32/q_shwin.c 1.14:
	* win32/vid_dll.c 1.37:
		Q_assert

	* build.h 1.133:
	* client/cl_main.c 1.92:
	* client/cl_parse.c 1.62:
	* client/client.h 1.34:
	* client/snd_dma.c 1.33:
	* game/q_shared.h 1.44:
	* qcommon/common.c 1.86:
	* qcommon/files.c 1.45:
	* ref_gl/gl_draw.c 1.8:
	* ref_gl/gl_image.c 1.46:
	* ref_gl/gl_local.h 1.40:
	* ref_gl/gl_model.c 1.20:
	* ref_gl/gl_rmisc.c 1.26:
	* ref_gl/gl_warp.c 1.7:
	* server/sv_main.c 1.132:
	* server/sv_user.c 1.96:
	* win32/q2.rc 1.38:
		fix userinfo crash

	* qcommon/common.c 1.85:
		oops

2005-01-02	r1ch
	* build.h 1.129:
	* server/sv_main.c 1.130:
		idiot

	* build.h 1.128:
	* client/cl_main.c 1.90:
	* client/cl_scrn.c 1.27:
	* game/q_shared.c 1.38:
	* linux/sys_linux.c 1.18:
	* quake2.vcproj 1.25:
	* ref_gl/gl_local.h 1.38:
	* ref_gl/gl_model.c 1.18:
	* ref_gl/gl_rsurf.c 1.14:
	* server/sv_main.c 1.129:
	* server/sv_send.c 1.75:
	* server/sv_user.c 1.94:
	* server/sv_world.c 1.16:
	* win32/q_shwin.c 1.13:
	* win32/sys_win.c 1.62:
		pre

	* build.h 1.131:
	* server/sv_ents.c 1.26:
		byte range fix!

	* build.h 1.130:
	* server/sv_ents.c 1.25:
		byte range fix?

	* build.h 1.126:
	* build.h 1.127:
	* game/q_shared.h 1.42:
	* qcommon/files.c 1.42:
	* qcommon/files.c 1.43:
	* qcommon/qcommon.h 1.65:
	* qcommon/qcommon.h 1.66:
	* ref_gl/gl_image.c 1.44:
	* server/sv_main.c 1.128:
	* win32/q_shwin.c 1.12:
		linux idiocy

2005-01-01	r1ch
	* build.h 1.125:
	* client/cl_fx.c 1.13:
	* client/cl_input.c 1.35:
	* client/cl_inv.c 1.5:
	* client/cl_main.c 1.89:
	* client/cl_newfx.c 1.5:
	* client/cl_scrn.c 1.26:
	* client/cl_tent.c 1.10:
	* client/cl_view.c 1.24:
	* client/le_physics.c 1.4:
	* client/qmenu.c 1.7:
	* client/snd_dma.c 1.31:
	* client/snd_openal.c 1.17:
	* game/q_shared.c 1.37:
	* game/q_shared.h 1.41:
	* qcommon/cmodel.c 1.17:
	* qcommon/files.c 1.41:
	* qcommon/pmove.c 1.9:
	* qcommon/qcommon.h 1.64:
	* quake2.vcproj 1.24:
	* ref_gl/gl_image.c 1.43:
	* ref_gl/gl_light.c 1.10:
	* ref_gl/gl_local.h 1.37:
	* ref_gl/gl_mesh.c 1.12:
	* ref_gl/gl_model.c 1.17:
	* ref_gl/gl_rmain.c 1.34:
	* ref_gl/gl_rmisc.c 1.25:
	* ref_gl/gl_rsurf.c 1.13:
	* ref_gl/gl_warp.c 1.5:
	* server/sv_send.c 1.74:
	* server/sv_world.c 1.15:
	* win32/conproc.c 1.7:
	* win32/glw_imp.c 1.23:
	* win32/q2.rc 1.37:
	* win32/q_shwin.c 1.11:
	* win32/sys_win.c 1.61:
		asm strlwr for ref_gl, more misc

2004-12-31	r1ch
	* build.h 1.124:
	* client/cl_fx.c 1.12:
	* client/cl_input.c 1.34:
	* client/cl_main.c 1.88:
	* client/cl_parse.c 1.60:
	* client/cl_view.c 1.23:
	* client/client.h 1.32:
	* client/console.h 1.2:
	* client/keys.c 1.20:
	* client/snd_dma.c 1.30:
	* client/snd_mem.c 1.20:
	* game/q_shared.h 1.40:
	* qcommon/cmd.c 1.47:
	* qcommon/common.c 1.83:
	* qcommon/cvar.c 1.28:
	* qcommon/files.c 1.40:
	* qcommon/net_chan.c 1.34:
	* qcommon/qcommon.h 1.63:
	* quake2.vcproj 1.23:
	* ref_gl/gl_image.c 1.42:
	* ref_gl/gl_local.h 1.36:
	* server/server.h 1.62:
	* server/sv_ccmds.c 1.61:
	* server/sv_game.c 1.39:
	* server/sv_init.c 1.64:
	* server/sv_main.c 1.127:
	* server/sv_send.c 1.73:
	* server/sv_user.c 1.93:
	* win32/q_shwin.c 1.10:
		netchan v6667 now with overflow/drop messages, asm strlen for 
		win32

2004-12-29	r1ch
	* build.h 1.123:
	* client/cl_fx.c 1.11:
	* client/cl_input.c 1.33:
	* client/cl_main.c 1.87:
	* client/cl_parse.c 1.59:
	* client/cl_view.c 1.22:
	* game/q_shared.c 1.36:
	* qcommon/cmd.c 1.46:
	* qcommon/common.c 1.82:
	* qcommon/cvar.c 1.27:
	* qcommon/net_chan.c 1.33:
	* qcommon/net_common.c 1.9:
	* qcommon/qcommon.h 1.62:
	* server/sv_ccmds.c 1.60:
	* server/sv_main.c 1.126:
	* server/sv_send.c 1.72:
	* server/sv_user.c 1.92:
	* win32/net_wins.c 1.42:
		miscellaneous fixes, return of the qport!

	* linux/net_udp.c 1.29:
		const fix

2004-12-28	r1ch
	* build.h 1.119:
	* client/cl_main.c 1.85:
	* client/menu.c 1.14:
	* client/snd_dma.c 1.28:
	* server/sv_ents.c 1.22:
		range errors on playerstate

	* build.h 1.122:
	* server/sv_send.c 1.71:
		overflow fix

	* build.h 1.121:
	* server/sv_ents.c 1.23:
	* server/sv_ents.c 1.24:
	* server/sv_send.c 1.70:
		gun offset fix

	* build.h 1.120:
	* client/cl_fx.c 1.10:
	* client/cl_main.c 1.86:
	* client/cl_parse.c 1.58:
	* client/cl_tent.c 1.9:
	* client/snd_dma.c 1.29:
	* linux/net_udp.c 1.28:
	* qcommon/cmd.c 1.45:
	* qcommon/cmodel.c 1.16:
	* qcommon/common.c 1.81:
	* qcommon/cvar.c 1.26:
	* qcommon/files.c 1.39:
	* qcommon/net_chan.c 1.32:
	* qcommon/pmove.c 1.8:
	* qcommon/qcommon.h 1.61:
	* server/server.h 1.61:
	* server/sv_ccmds.c 1.59:
	* server/sv_game.c 1.38:
	* server/sv_main.c 1.125:
	* server/sv_send.c 1.69:
	* server/sv_user.c 1.91:
	* server/sv_world.c 1.14:
	* win32/net_wins.c 1.41:
		compressed svc_frame support, fix out of range writes, limited 
		rcon, oh my!

2004-12-27	r1ch
	* build.h 1.116:
	* build.h 1.117:
	* client/cl_main.c 1.84:
	* game/game.h 1.9:
	* qcommon/common.c 1.80:
	* qcommon/qcommon.h 1.59:
	* server/sv_main.c 1.124:
	* server/sv_user.c 1.90:
	* server/sv_world.c 1.13:
		download overflow fix

	* server/sv_send.c 1.67:
	* server/sv_send.c 1.68:
		netchan v666

	* build.h 1.115:
	* qcommon/common.c 1.79:
	* server/sv_send.c 1.65:
		more debug

	* build.h 1.118:
	* qcommon/qcommon.h 1.60:
	* server/sv_game.c 1.37:
	* server/sv_send.c 1.66:
		fix45

	* build.h 1.114:
	* server/sv_send.c 1.64:
	* server/sv_user.c 1.89:
		debug3

2004-12-26	r1ch
	* build.h 1.110:
	* game/game.h 1.8:
	* server/sv_send.c 1.61:
		debug

	* build.h 1.109:
	* server/sv_main.c 1.123:
	* server/sv_user.c 1.87:
		reconnect fix

	* build.h 1.112:
	* build.h 1.113:
	* server/sv_send.c 1.63:
	* server/sv_user.c 1.88:
		debug3

	* build.h 1.111:
	* server/sv_send.c 1.62:
		debug2

	* build.h 1.108:
	* client/cl_input.c 1.32:
	* client/cl_parse.c 1.57:
	* client/client.h 1.31:
	* qcommon/cmd.c 1.44:
	* qcommon/common.c 1.78:
	* qcommon/net_chan.c 1.31:
	* qcommon/qcommon.h 1.58:
	* server/server.h 1.60:
	* server/sv_ccmds.c 1.58:
	* server/sv_ents.c 1.21:
	* server/sv_game.c 1.36:
	* server/sv_init.c 1.63:
	* server/sv_main.c 1.122:
	* server/sv_send.c 1.60:
	* server/sv_user.c 1.86:
	* win32/in_win.c 1.13:
		netchan v666

2004-12-24	r1ch
	* build.h 1.107:
	* client/cl_fx.c 1.9:
	* client/cl_input.c 1.31:
	* client/cl_main.c 1.83:
	* client/cl_newfx.c 1.4:
	* client/cl_parse.c 1.56:
	* client/cl_pred.c 1.18:
	* client/cl_view.c 1.21:
	* client/keys.c 1.19:
	* client/ref.h 1.9:
	* game/q_shared.h 1.39:
	* qcommon/cmd.c 1.43:
	* qcommon/common.c 1.77:
	* qcommon/cvar.c 1.25:
	* qcommon/files.c 1.38:
	* qcommon/net_chan.c 1.30:
	* qcommon/qcommon.h 1.57:
	* r1q2.txt 1.3:
	* ref_gl/gl_image.c 1.41:
	* ref_gl/gl_model.c 1.16:
	* ref_gl/gl_model.h 1.3:
	* server/server.h 1.59:
	* server/sv_ccmds.c 1.57:
	* server/sv_ents.c 1.20:
	* server/sv_game.c 1.35:
	* server/sv_init.c 1.62:
	* server/sv_main.c 1.121:
	* server/sv_send.c 1.59:
	* server/sv_user.c 1.85:
	* win32/vid_dll.c 1.36:
		major netchan rewrite pt.1

2004-12-23	r1ch
	* build.h 1.106:
	* server/server.h 1.58:
	* server/sv_user.c 1.84:
	* win32/q2.rc 1.36:
		reconnect

2004-12-22	r1ch
	* linux/sys_linux.c 1.17:
		Com_Printf

	* build.h 1.105:
	* client/cl_cin.c 1.5:
	* client/cl_dll.c 1.7:
	* client/cl_ents.c 1.36:
	* client/cl_input.c 1.30:
	* client/cl_main.c 1.82:
	* client/cl_parse.c 1.55:
	* client/cl_pred.c 1.17:
	* client/cl_scrn.c 1.25:
	* client/cl_tent.c 1.8:
	* client/cl_view.c 1.20:
	* client/console.c 1.23:
	* client/keys.c 1.18:
	* client/le_physics.c 1.3:
	* client/le_util.c 1.5:
	* client/menu.c 1.13:
	* client/snd_dma.c 1.27:
	* client/snd_mem.c 1.19:
	* client/snd_openal.c 1.16:
	* game/q_shared.c 1.35:
	* game/q_shared.h 1.38:
	* linux/net_udp.c 1.27:
	* qcommon/cmd.c 1.42:
	* qcommon/cmodel.c 1.15:
	* qcommon/common.c 1.76:
	* qcommon/cvar.c 1.24:
	* qcommon/files.c 1.37:
	* qcommon/net_chan.c 1.29:
	* qcommon/net_common.c 1.8:
	* qcommon/qcommon.h 1.56:
	* ref_gl/gl_image.c 1.40:
	* ref_gl/gl_rmain.c 1.33:
	* ref_gl/gl_rmisc.c 1.24:
	* server/server.h 1.57:
	* server/sv_ccmds.c 1.56:
	* server/sv_ents.c 1.19:
	* server/sv_game.c 1.34:
	* server/sv_init.c 1.61:
	* server/sv_main.c 1.120:
	* server/sv_send.c 1.58:
	* server/sv_user.c 1.83:
	* server/sv_world.c 1.12:
	* win32/cd_win.c 1.4:
	* win32/conproc.c 1.6:
	* win32/glw_imp.c 1.22:
	* win32/in_win.c 1.12:
	* win32/net_wins.c 1.40:
	* win32/q2.rc 1.35:
	* win32/snd_win.c 1.13:
	* win32/sys_win.c 1.60:
	* win32/vid_dll.c 1.35:
		gamedebug dupe cs fix + more

2004-12-21	r1ch
	* build.h 1.104:
	* client/cl_parse.c 1.54:
	* server/server.h 1.56:
	* server/sv_ents.c 1.18:
	* server/sv_game.c 1.33:
	* server/sv_main.c 1.119:
	* server/sv_send.c 1.57:
	* win32/q2.rc 1.34:
	* win32/vid_menu.c 1.6:
		playerskins fix, sv_entity_inuse_hack

2004-12-20	r1ch
	* build.h 1.103:
	* client/cl_ents.c 1.35:
	* client/cl_inv.c 1.4:
	* client/cl_main.c 1.81:
	* client/cl_parse.c 1.53:
	* client/cl_pred.c 1.16:
	* client/cl_view.c 1.19:
	* client/client.h 1.30:
	* game/q_shared.c 1.34:
	* game/q_shared.h 1.37:
	* qcommon/common.c 1.75:
	* qcommon/pmove.c 1.7:
	* server/sv_ccmds.c 1.55:
	* server/sv_ents.c 1.17:
	* server/sv_game.c 1.32:
	* server/sv_init.c 1.60:
	* server/sv_main.c 1.118:
	* server/sv_send.c 1.56:
	* server/sv_user.c 1.82:
	* win32/q2.rc 1.33:
	* win32/sys_win.c 1.59:
		Com_sprintf fixes, pmove fix, overflow fix

2004-12-19	r1ch
	* build.h 1.101:
	* qcommon/common.c 1.73:
	* qcommon/files.c 1.35:
	* ref_gl/gl_local.h 1.35:
		fix filtercmds and dedicated issue

	* build.h 1.99:
	* client/cl_main.c 1.79:
	* client/client.h 1.29:
	* qcommon/common.c 1.72:
	* qcommon/net_common.c 1.7:
	* qcommon/qcommon.h 1.55:
	* quake2.vcproj 1.22:
	* server/sv_game.c 1.30:
		null cmd cleanups

	* Makefile 1.6:
	* build.h 1.100:
		null Makefile

	* client/cl_scrn.c 1.24:
	* server/sv_game.c 1.31:
		remove asmint3

	* build.h 1.96:
	* client/cl_ents.c 1.34:
	* client/cl_main.c 1.78:
	* client/cl_parse.c 1.52:
	* client/cl_scrn.c 1.23:
	* client/cl_view.c 1.18:
	* client/client.h 1.28:
	* client/console.c 1.22:
	* client/keys.c 1.17:
	* client/keys.h 1.3:
	* client/snd_mem.c 1.18:
	* game/q_shared.c 1.33:
	* game/q_shared.h 1.35:
	* genupdate.pl 1.3:
	* lib/libpng.lib 1.4:
	* lib/zlib.lib 1.14:
	* qcommon/cmd.c 1.41:
	* qcommon/cvar.c 1.23:
	* qcommon/files.c 1.33:
	* qcommon/qcommon.h 1.54:
	* qcommon/redblack.c 1.9:
	* qcommon/redblack.h 1.3:
	* quake2.vcproj 1.21:
	* ref_gl/gl_draw.c 1.7:
	* ref_gl/gl_image.c 1.39:
	* ref_gl/gl_local.h 1.34:
	* ref_gl/gl_mesh.c 1.11:
	* ref_gl/gl_rmain.c 1.32:
	* ref_gl/gl_rmisc.c 1.23:
	* ref_gl/gl_rsurf.c 1.12:
	* server/server.h 1.55:
	* server/sv_ccmds.c 1.54:
	* server/sv_ents.c 1.16:
	* server/sv_game.c 1.29:
	* server/sv_init.c 1.59:
	* server/sv_main.c 1.117:
	* server/sv_send.c 1.54:
	* win32/in_win.c 1.11:
	* win32/qgl_win.c 1.8:
	* win32/sys_win.c 1.57:
	* win32/vid_dll.c 1.34:
		redblack delete fixes, rbtree alias/cvar/cmd lookups

	* build.h 1.102:
	* client/cl_main.c 1.80:
	* genupdate.pl 1.4:
	* qcommon/common.c 1.74:
	* qcommon/files.c 1.36:
	* qcommon/net_chan.c 1.28:
	* server/sv_send.c 1.55:
	* win32/q2.rc 1.32:
	* win32/sys_win.c 1.58:
		logfile, smth

	* build.h 1.97:
	* game/q_shared.h 1.36:
	* qcommon/files.c 1.34:
		stricmp removal

	* win32/q2.rc 1.31:
		RELEASE

	* build.h 1.98:
	* qcommon/redblack.c 1.10:
		rb const fixes

2004-12-17	r1ch
	* build.h 1.94:
	* client/cl_fx.c 1.8:
	* client/cl_scrn.c 1.22:
	* client/console.c 1.21:
	* lib/libpng.lib 1.3:
	* lib/zlib.lib 1.13:
	* lib/zlibd.lib 1.8:
	* qcommon/common.c 1.71:
	* quake2.vcproj 1.20:
	* server/sv_ccmds.c 1.52:
	* server/sv_main.c 1.116:
	* server/sv_user.c 1.80:
	* win32/q2.rc 1.30:
	* win32/q_shwin.c 1.9:
	* win32/vid_dll.c 1.33:
		timestamp qconsole

	* build.h 1.95:
	* server/server.h 1.54:
	* server/sv_ccmds.c 1.53:
	* server/sv_user.c 1.81:
		bancmds, stuffcmd updates

2004-12-16	r1ch
	* build.h 1.93:
	* qcommon/files.c 1.32:
	* qcommon/pmove.c 1.6:
	* ref_gl/gl_image.c 1.38:
	* ref_gl/gl_rmisc.c 1.22:
	* server/sv_init.c 1.58:
	* server/sv_user.c 1.79:
	* win32/q_shwin.c 1.8:
		netchan flush during connect

2004-12-15	r1ch
	* build.h 1.91:
	* client/client.h 1.27:
	* quake2.sln 1.5:
	* ref_gl/gl_image.c 1.37:
	* server/server.h 1.53:
	* server/sv_ccmds.c 1.51:
	* server/sv_game.c 1.28:
	* server/sv_init.c 1.57:
	* server/sv_main.c 1.115:
	* server/sv_send.c 1.53:
	* server/sv_user.c 1.78:
	* win32/net_wins.c 1.39:
	* win32/q2.rc 1.28:
	* win32/vid_dll.c 1.32:
		prerelease

	* build.h 1.92:
	* game/q_shared.h 1.34:
	* qcommon/files.c 1.31:
	* qcommon/qfiles.h 1.4:
	* ref_gl/gl_light.c 1.9:
	* win32/q2.rc 1.29:
		rb pak optimz

2004-12-14	r1ch
	* build.h 1.90:
	* client/cl_main.c 1.77:
	* client/cl_parse.c 1.51:
	* client/cl_scrn.c 1.21:
	* client/cl_view.c 1.17:
	* client/console.c 1.20:
	* client/menu.c 1.12:
	* client/snd_mem.c 1.17:
	* game/q_shared.h 1.33:
	* qcommon/cmd.c 1.40:
	* qcommon/redblack.c 1.8:
	* quake2.vcproj 1.19:
	* ref_gl/gl_image.c 1.36:
	* ref_gl/gl_local.h 1.33:
	* ref_gl/gl_model.c 1.15:
	* server/server.h 1.51:
	* server/sv_ccmds.c 1.50:
	* server/sv_game.c 1.27:
	* server/sv_init.c 1.56:
	* server/sv_main.c 1.114:
	* server/sv_user.c 1.77:
	* win32/glw_imp.c 1.21:
	* win32/vid_dll.c 1.31:
		cvarban, addstuff, etc

	* Makefile 1.5:
	* win32/vid_menu.c 1.5:
		stricmp fix

	* server/server.h 1.52:
		newline at eof

2004-12-13	r1ch
	* build.h 1.88:
	* qcommon/common.c 1.70:
	* qcommon/qcommon.h 1.53:
	* qcommon/redblack.c 1.7:
		const

	* linux/net_udp.c 1.26:
	* qcommon/net_common.c 1.6:
	* qcommon/qcommon.h 1.51:
		linux tcp fixes

	* build.h 1.89:
	* game/game.h 1.7:
		game error fix

	* build.h 1.86:
	* client/cl_input.c 1.28:
	* client/cl_main.c 1.76:
	* client/cl_parse.c 1.50:
	* client/cl_scrn.c 1.20:
	* client/cl_view.c 1.16:
	* client/client.h 1.26:
	* client/console.c 1.19:
	* client/menu.c 1.10:
	* client/snd_dma.c 1.26:
	* game/q_shared.h 1.31:
	* qcommon/cmd.c 1.39:
	* qcommon/common.c 1.68:
	* qcommon/cvar.c 1.21:
	* qcommon/files.c 1.29:
	* qcommon/md4.c 1.6:
	* qcommon/mersennetwister.c 1.3:
	* qcommon/net_chan.c 1.27:
	* qcommon/net_common.c 1.5:
	* qcommon/qcommon.h 1.50:
	* quake2.vcproj 1.17:
	* ref_gl/gl_light.c 1.8:
	* ref_gl/gl_local.h 1.32:
	* ref_gl/gl_mesh.c 1.10:
	* ref_gl/gl_rmain.c 1.30:
	* server/server.h 1.49:
	* server/sv_init.c 1.54:
	* server/sv_main.c 1.112:
	* server/sv_send.c 1.51:
	* server/sv_user.c 1.75:
	* server/sv_world.c 1.10:
	* win32/net_wins.c 1.37:
	* win32/sys_win.c 1.55:
	* win32/vid_dll.c 1.29:
		tcpdl framework

	* build.h 1.87:
	* client/cl_ents.c 1.33:
	* client/cl_input.c 1.29:
	* client/cl_pred.c 1.15:
	* client/menu.c 1.11:
	* game/q_shared.c 1.32:
	* game/q_shared.h 1.32:
	* qcommon/cmodel.c 1.14:
	* qcommon/common.c 1.69:
	* qcommon/cvar.c 1.22:
	* qcommon/files.c 1.30:
	* qcommon/pmove.c 1.5:
	* qcommon/qcommon.h 1.52:
	* qcommon/redblack.c 1.6:
	* quake2.sln 1.4:
	* quake2.vcproj 1.18:
	* ref_gl/gl_draw.c 1.6:
	* ref_gl/gl_image.c 1.35:
	* ref_gl/gl_model.c 1.14:
	* ref_gl/gl_rmain.c 1.31:
	* ref_gl/gl_rmisc.c 1.21:
	* server/server.h 1.50:
	* server/sv_ents.c 1.15:
	* server/sv_game.c 1.26:
	* server/sv_init.c 1.55:
	* server/sv_main.c 1.113:
	* server/sv_send.c 1.52:
	* server/sv_user.c 1.76:
	* server/sv_world.c 1.11:
	* win32/net_wins.c 1.38:
	* win32/q2.rc 1.27:
	* win32/sys_win.c 1.56:
	* win32/vid_dll.c 1.30:
		loop unrolling, configstring fix

	* qcommon/md4.h 1.1:
		md4

2004-12-10	r1ch
	* build.h 1.85:
	* client/cl_input.c 1.27:
	* client/cl_main.c 1.75:
	* client/cl_parse.c 1.49:
	* server/sv_send.c 1.50:
	* server/sv_user.c 1.74:
		reliable

	* build.h 1.84:
	* server/sv_send.c 1.49:
	* server/sv_user.c 1.73:
	* win32/q2.rc 1.26:
		ugly dl test

	* build.h 1.83:
	* client/cl_cin.c 1.4:
	* client/cl_main.c 1.74:
	* client/cl_parse.c 1.48:
	* client/console.c 1.18:
	* game/q_shared.c 1.31:
	* qcommon/cmd.c 1.38:
	* qcommon/cvar.c 1.20:
	* qcommon/files.c 1.28:
	* server/server.h 1.48:
	* server/sv_ccmds.c 1.49:
	* server/sv_game.c 1.25:
	* server/sv_init.c 1.53:
	* server/sv_main.c 1.111:
	* server/sv_user.c 1.72:
	* win32/in_win.c 1.10:
	* win32/sys_win.c 1.54:
		unstable build

2004-12-08	r1ch
	* server/sv_game.c 1.24:
	* server/sv_init.c 1.52:
		fix

	* build.h 1.82:
	* client/cl_main.c 1.73:
	* qcommon/common.c 1.67:
	* qcommon/qcommon.h 1.49:
	* server/sv_game.c 1.23:
	* server/sv_init.c 1.51:
	* server/sv_user.c 1.71:
	* win32/in_win.c 1.9:
	* win32/vid_dll.c 1.28:
	* win32/winquake.h 1.7:
		zdebug

2004-12-07	r1ch
	* build.h 1.80:
	* build.h 1.81:
	* client/cl_parse.c 1.46:
	* client/cl_parse.c 1.47:
	* qcommon/qcommon.h 1.48:
	* server/server.h 1.47:
	* server/sv_user.c 1.70:
		zlib udp dls

2004-12-06	r1ch
	* build.h 1.79:
	* client/cl_main.c 1.72:
	* quake2.vcproj 1.16:
	* server/sv_send.c 1.48:
		soundcache fix

	* build.h 1.78:
	* client/cl_input.c 1.26:
	* client/cl_main.c 1.71:
	* client/cl_parse.c 1.45:
	* client/menu.c 1.9:
	* qcommon/common.c 1.66:
	* qcommon/qcommon.h 1.47:
	* ref_gl/gl_local.h 1.31:
	* server/sv_user.c 1.69:
	* win32/q2.rc 1.25:
		misc tests

2004-12-04	r1ch
	* build.h 1.77:
	* client/cl_main.c 1.70:
	* client/console.c 1.17:
	* client/keys.c 1.16:
	* linux/net_udp.c 1.25:
	* qcommon/common.c 1.65:
	* qcommon/net_common.c 1.3:
	* qcommon/qcommon.h 1.46:
	* ref_gl/gl_image.c 1.34:
	* ref_gl/gl_light.c 1.7:
	* ref_gl/gl_local.h 1.30:
	* ref_gl/gl_mesh.c 1.9:
	* ref_gl/gl_model.c 1.13:
	* ref_gl/gl_rmain.c 1.29:
	* server/server.h 1.46:
	* server/sv_ccmds.c 1.48:
	* server/sv_main.c 1.110:
	* server/sv_send.c 1.47:
	* server/sv_user.c 1.68:
	* win32/glw_imp.c 1.20:
	* win32/net_wins.c 1.36:
		userinfo kick fix

	* qcommon/net_common.c 1.4:
		closesocket

2004-12-03	r1ch
	* build.h 1.76:
	* qcommon/common.c 1.64:
	* quake2.vcproj 1.15:
	* server/sv_ccmds.c 1.47:
	* server/sv_user.c 1.67:
	* win32/conproc.c 1.5:
	* win32/sys_win.c 1.53:
		kick debug fix

	* build.h 1.75:
	* client/keys.c 1.15:
	* qcommon/cmd.c 1.37:
	* qcommon/qcommon.h 1.45:
	* server/sv_ccmds.c 1.46:
	* server/sv_main.c 1.109:
	* server/sv_send.c 1.46:
	* server/sv_user.c 1.66:
	* win32/sys_win.c 1.52:
		dropclient debug

2004-12-02	r1ch
	* build.h 1.74:
	* client/cl_scrn.c 1.19:
	* client/keys.c 1.14:
	* qcommon/common.c 1.63:
	* qcommon/cvar.c 1.19:
		fix cvars

	* linux/sys_linux.c 1.16:
		binary_name, uid check

	* build.h 1.73:
	* client/cl_ents.c 1.32:
	* client/cl_fx.c 1.7:
	* client/cl_input.c 1.25:
	* client/cl_main.c 1.69:
	* client/cl_parse.c 1.44:
	* client/cl_pred.c 1.14:
	* client/cl_scrn.c 1.18:
	* client/cl_tent.c 1.7:
	* client/cl_view.c 1.15:
	* client/console.c 1.16:
	* client/keys.c 1.13:
	* client/le_util.c 1.4:
	* client/qmenu.c 1.6:
	* client/snd_dma.c 1.25:
	* client/snd_mem.c 1.16:
	* client/snd_mix.c 1.9:
	* game/q_shared.h 1.30:
	* linux/net_udp.c 1.24:
	* linux/sys_linux.c 1.15:
	* qcommon/cmodel.c 1.13:
	* qcommon/common.c 1.62:
	* qcommon/cvar.c 1.18:
	* qcommon/files.c 1.27:
	* qcommon/net_chan.c 1.26:
	* qcommon/qcommon.h 1.44:
	* quake2.vcproj 1.14:
	* server/sv_ccmds.c 1.45:
	* server/sv_ents.c 1.14:
	* server/sv_game.c 1.22:
	* server/sv_init.c 1.50:
	* server/sv_main.c 1.108:
	* server/sv_send.c 1.45:
	* server/sv_user.c 1.65:
	* server/sv_world.c 1.9:
	* win32/cd_win.c 1.3:
	* win32/in_win.c 1.8:
	* win32/net_wins.c 1.35:
	* win32/snd_win.c 1.12:
	* win32/sys_win.c 1.51:
	* win32/vid_dll.c 1.27:
		intvalue speedups, cmodel optimizations, more

2004-11-30	r1ch
	* build.h 1.71:
	* build.h 1.72:
	* server/sv_init.c 1.49:
	* server/sv_send.c 1.44:
		less randomframe

2004-11-29	r1ch
	* build.h 1.70:
	* client/cl_ents.c 1.31:
	* client/cl_input.c 1.24:
	* client/cl_main.c 1.68:
	* client/keys.c 1.12:
	* linux/sys_linux.c 1.14:
	* qcommon/common.c 1.61:
	* qcommon/net_chan.c 1.25:
	* server/server.h 1.45:
	* server/sv_ents.c 1.13:
	* server/sv_init.c 1.48:
	* server/sv_main.c 1.107:
	* server/sv_send.c 1.42:
	* server/sv_user.c 1.64:
	* win32/sys_win.c 1.50:
		struct init changes, fix randomframe?

	* server/sv_send.c 1.43:
		fix useless 0byte sz_write

2004-11-26	r1ch
	* build.h 1.69:
	* qcommon/cvar.c 1.17:
	* qcommon/qcommon.h 1.43:
	* server/sv_ccmds.c 1.44:
	* server/sv_game.c 1.21:
	* server/sv_init.c 1.47:
	* server/sv_main.c 1.106:
		unset, no serverinfo cvars, fix setmaster behaviour

2004-11-25	r1ch
	* build.h 1.67:
	* qcommon/qcommon.h 1.42:
	* server/sv_main.c 1.104:
	* win32/q2.rc 1.23:
	* win32/sys_win.c 1.49:
		fix freakin' huge backdoor

	* build.h 1.68:
	* server/sv_init.c 1.46:
	* server/sv_main.c 1.105:
	* win32/q2.rc 1.24:
		b1918

2004-11-24	r1ch
	* server/server.h 1.44:
	* server/sv_main.c 1.103:
		fix z_free crash on versionstring

	* build.h 1.66:
	* client/cl_ents.c 1.30:
	* client/cl_parse.c 1.43:
	* client/keys.c 1.11:
	* game/q_shared.c 1.30:
	* game/q_shared.h 1.28:
	* qcommon/cmd.c 1.36:
	* qcommon/common.c 1.60:
	* qcommon/cvar.c 1.16:
	* qcommon/files.c 1.26:
	* qcommon/qcommon.h 1.41:
	* quake2.vcproj 1.13:
	* server/sv_init.c 1.45:
	* server/sv_main.c 1.102:
	* win32/cd_win.c 1.2:
	* win32/sys_win.c 1.48:
		misc

	* game/q_shared.h 1.29:
		dis

2004-11-23	r1ch
	* Makefile 1.4:
	* linux/qgl_linux.c 1.2:
	* linux/vid_so.c 1.3:
	* ref_gl/gl_image.c 1.33:
	* ref_gl/gl_local.h 1.29:
	* ref_gl/gl_rmain.c 1.28:
	* ref_gl/gl_rmisc.c 1.20:
		linux client build fixes

	* build.h 1.65:
	* client/cl_main.c 1.67:
	* client/cl_parse.c 1.42:
	* client/cl_view.c 1.14:
	* server/sv_main.c 1.101:
	* server/sv_user.c 1.63:
	* win32/q2.rc 1.22:
		b1895

2004-11-22	r1ch
	* build.h 1.63:
	* game/q_shared.c 1.29:
	* quake2.vcproj 1.12:
	* win32/q2.rc 1.21:
	* win32/q_shwin.c 1.7:
		infocheckbytes 100% cpu fix

	* build.h 1.62:
	* client/cl_ents.c 1.29:
	* client/cl_main.c 1.66:
	* client/keys.c 1.10:
	* qcommon/cmd.c 1.35:
	* qcommon/common.c 1.59:
	* qcommon/cvar.c 1.15:
	* qcommon/files.c 1.25:
	* qcommon/qcommon.h 1.40:
	* quake2.sln 1.3:
	* quake2.vcproj 1.11:
	* server/server.h 1.43:
	* server/sv_ccmds.c 1.43:
	* server/sv_main.c 1.100:
	* server/sv_user.c 1.61:
	* win32/net_wins.c 1.34:
	* win32/q2.rc 1.20:
		b1873

	* build.h 1.64:
	* client/cl_parse.c 1.41:
	* server/sv_user.c 1.62:
		configsting fix

2004-11-20	r1ch
	* build.h 1.60:
	* client/cl_ents.c 1.28:
	* client/cl_input.c 1.23:
	* client/cl_main.c 1.65:
	* client/cl_parse.c 1.40:
	* client/menu.c 1.8:
	* game/q_shared.c 1.28:
	* game/q_shared.h 1.27:
	* linux/net_udp.c 1.20:
	* qcommon/cmd.c 1.34:
	* qcommon/common.c 1.58:
	* qcommon/net_chan.c 1.24:
	* qcommon/net_common.c 1.2:
	* qcommon/qcommon.h 1.39:
	* qcommon/qfiles.h 1.3:
	* quake2.sln 1.2:
	* quake2.vcproj 1.10:
	* ref_gl/gl_image.c 1.32:
	* ref_gl/gl_local.h 1.28:
	* ref_gl/gl_mesh.c 1.8:
	* ref_gl/gl_rmain.c 1.27:
	* ref_gl/qgl.h 1.4:
	* server/server.h 1.42:
	* server/sv_ents.c 1.12:
	* server/sv_main.c 1.98:
	* server/sv_user.c 1.60:
	* win32/net_wins.c 1.31:
	* win32/q2.rc 1.19:
	* win32/vid_menu.c 1.4:
		net loopback fixes

	* linux/sys_linux.c 1.13:
		Sys_Sleep

	* linux/net_udp.c 1.23:
	* win32/net_wins.c 1.33:
		error msg \n fix

	* build.h 1.61:
	* linux/net_udp.c 1.22:
	* win32/net_wins.c 1.32:
		socket open failures generate error

	* linux/net_udp.c 1.21:
	* server/sv_main.c 1.99:
		net_sleep fix

	* linux/sys_linux.c 1.12:
		exit() fix

2004-11-19	r1ch
	* linux/sys_linux.c 1.11:
		stdin fixes, sigint handler

2004-11-16	r1ch
	* build.h 1.59:
	* client/cl_ents.c 1.27:
	* linux/net_udp.c 1.19:
	* qcommon/common.c 1.57:
	* qcommon/net_chan.c 1.23:
	* win32/net_wins.c 1.30:
	* win32/q2.rc 1.18:
		release

	* build.h 1.58:
	* client/cl_ents.c 1.26:
	* client/cl_input.c 1.22:
	* client/cl_main.c 1.64:
	* client/cl_parse.c 1.39:
	* client/cl_pred.c 1.13:
	* client/cl_view.c 1.13:
	* client/menu.c 1.7:
	* game/game.h 1.6:
	* game/q_shared.c 1.27:
	* game/q_shared.h 1.26:
	* lib/zlib.lib 1.12:
	* qcommon/cmd.c 1.33:
	* qcommon/common.c 1.54:
	* qcommon/net_chan.c 1.22:
	* qcommon/qcommon.h 1.38:
	* quake2.vcproj 1.9:
	* ref_gl/gl_image.c 1.31:
	* ref_gl/gl_rmain.c 1.26:
	* server/server.h 1.41:
	* server/sv_ccmds.c 1.42:
	* server/sv_init.c 1.44:
	* server/sv_main.c 1.97:
	* server/sv_send.c 1.41:
	* server/sv_user.c 1.59:
	* win32/net_wins.c 1.29:
	* win32/q2.rc 1.17:
	* win32/sys_win.c 1.47:
		0xFF string exploit fix

	* qcommon/common.c 1.56:
		more fixes

	* qcommon/net_common.c 1.1:
		net_common

	* linux/net_udp.c 1.18:
	* qcommon/common.c 1.55:
		linux netadr_t pointer fixes

2004-11-12	r1ch
	* build.h 1.57:
	* server/sv_ccmds.c 1.41:
	* server/sv_user.c 1.58:
	* win32/q2.rc 1.16:
		bancommand fixes

	* build.h 1.56:
	* client/cl_ents.c 1.25:
	* client/cl_input.c 1.21:
	* client/cl_main.c 1.63:
	* client/cl_parse.c 1.38:
	* qcommon/cmd.c 1.32:
	* qcommon/common.c 1.53:
	* qcommon/files.c 1.24:
	* qcommon/qcommon.h 1.37:
	* qcommon/redblack.c 1.5:
	* qcommon/redblack.h 1.2:
	* quake2.vcproj 1.8:
	* ref_gl/gl_image.c 1.30:
	* ref_gl/gl_local.h 1.27:
	* ref_gl/gl_model.c 1.12:
	* ref_gl/gl_rmain.c 1.25:
	* ref_gl/gl_rmisc.c 1.19:
	* server/server.h 1.40:
	* server/sv_ccmds.c 1.40:
	* server/sv_init.c 1.43:
	* server/sv_main.c 1.96:
	* server/sv_user.c 1.57:
	* win32/q2.rc 1.15:
		b1619

2004-10-29	r1ch
	* build.h 1.53:
	* build.h 1.54:
	* game/q_shared.c 1.24:
	* game/q_shared.c 1.25:
	* qcommon/common.c 1.51:
	* server/sv_main.c 1.94:
	* server/sv_main.c 1.95:
		fix maxclients report

	* Makefile 1.3:
	* game/q_shared.c 1.26:
	* game/q_shared.h 1.25:
	* linux/q_shlinux.c 1.3:
	* linux/sys_linux.c 1.10:
	* qcommon/cmd.c 1.31:
	* qcommon/common.c 1.52:
	* qcommon/cvar.c 1.14:
	* qcommon/qcommon.h 1.36:
	* qcommon/redblack.c 1.3:
		freebsd fixes

	* build.h 1.55:
	* qcommon/redblack.c 1.4:
	* ref_gl/redblack.c 1.2:
	* ref_gl/redblack.h 1.2:
	* server/sv_send.c 1.40:
		rb

	* server/sv_send.c 1.39:
		server crash fix

2004-10-28	r1ch
	* build.h 1.52:
	* game/q_shared.c 1.22:
	* server/sv_main.c 1.93:
		foomatic

	* build.h 1.51:
	* client/cl_ents.c 1.24:
	* client/cl_fx.c 1.6:
	* client/cl_input.c 1.20:
	* client/cl_main.c 1.62:
	* client/cl_parse.c 1.37:
	* client/cl_pred.c 1.12:
	* client/cl_view.c 1.12:
	* client/client.h 1.25:
	* client/keys.c 1.9:
	* client/qmenu.c 1.5:
	* client/qmenu.h 1.2:
	* client/snd_dma.c 1.24:
	* client/snd_loc.h 1.10:
	* client/snd_openal.c 1.15:
	* client/sound.h 1.4:
	* game/q_shared.c 1.21:
	* game/q_shared.h 1.24:
	* lib/zlib.h 1.3:
	* lib/zlibd.lib 1.7:
	* qcommon/cmodel.c 1.12:
	* qcommon/common.c 1.50:
	* qcommon/files.c 1.23:
	* qcommon/mersennetwister.c 1.2:
	* qcommon/pmove.c 1.4:
	* qcommon/qcommon.h 1.35:
	* qcommon/qfiles.h 1.2:
	* qcommon/redblack.c 1.2:
	* quake2.vcproj 1.7:
	* ref_gl/gl_draw.c 1.5:
	* ref_gl/gl_image.c 1.29:
	* ref_gl/gl_light.c 1.6:
	* ref_gl/gl_local.h 1.26:
	* ref_gl/gl_model.c 1.11:
	* ref_gl/gl_model.h 1.2:
	* ref_gl/gl_rmain.c 1.24:
	* ref_gl/gl_rsurf.c 1.11:
	* server/server.h 1.39:
	* server/sv_ccmds.c 1.39:
	* server/sv_ents.c 1.11:
	* server/sv_game.c 1.20:
	* server/sv_init.c 1.42:
	* server/sv_main.c 1.92:
	* server/sv_null.c 1.3:
	* server/sv_send.c 1.38:
	* server/sv_user.c 1.56:
	* server/sv_world.c 1.8:
	* win32/q2.rc 1.14:
	* win32/q_shwin.c 1.6:
	* win32/sys_win.c 1.46:
	* win32/vid_dll.c 1.26:
		stuff

	* game/q_shared.c 1.23:
		foomatic2

2004-10-15	r1ch
	* build.h 1.50:
	* ref_gl/gl_image.c 1.28:
	* server/server.h 1.38:
	* server/sv_main.c 1.91:
	* server/sv_send.c 1.37:
		fix zpacket crash

2004-10-14	r1ch
	* lib/libpng.lib 1.2:
	* lib/zlib.lib 1.11:
	* lib/zlibd.lib 1.6:
		new libs, ltcg

	* ref_gl/redblack.c 1.1:
	* ref_gl/redblack.h 1.1:
		redblack

	* ref_gl/gl_image.c 1.27:
	* ref_gl/gl_local.h 1.25:
	* ref_gl/gl_mesh.c 1.7:
	* ref_gl/gl_rmain.c 1.23:
	* ref_gl/gl_rmisc.c 1.18:
	* ref_gl/gl_rsurf.c 1.10:
	* ref_gl/qgl.h 1.3:
		pic cache, misc

	* build.h 1.49:
	* client/cl_fx.c 1.5:
	* client/cl_input.c 1.19:
	* client/cl_main.c 1.61:
	* client/cl_newfx.c 1.3:
	* client/cl_parse.c 1.36:
	* client/cl_scrn.c 1.17:
	* client/client.h 1.24:
	* client/ref.h 1.8:
	* game/q_shared.h 1.23:
	* qcommon/cmd.c 1.30:
	* qcommon/files.c 1.21:
	* quake2.vcproj 1.6:
	* server/sv_main.c 1.90:
	* win32/q2.rc 1.12:
	* win32/q_shwin.c 1.5:
	* win32/qgl_win.c 1.7:
		new filesystem cache (binary tree), instantpacket fixups, more

	* qcommon/redblack.c 1.1:
	* qcommon/redblack.h 1.1:
		redblack binary search

	* Makefile 1.2:
	* qcommon/files.c 1.22:
	* win32/q2.rc 1.13:
		new Makefile

2004-10-12	r1ch
	* build.h 1.48:
	* qcommon/qcommon.h 1.34:
	* server/server.h 1.37:
	* server/sv_game.c 1.19:
	* server/sv_main.c 1.89:
	* server/sv_send.c 1.36:
	* server/sv_user.c 1.55:
		netchan overflow memory corruption fix

2004-10-11	r1ch
	* server/sv_game.c 1.18:
		pmove fix for bots

2004-10-10	r1ch
	* client/cl_main.c 1.60:
	* qcommon/common.c 1.49:
	* ref_gl/gl_image.c 1.26:
	* server/sv_user.c 1.52:
		download fixes

	* build.h 1.46:
	* server/sv_user.c 1.53:
		download fixes v2

	* build.h 1.47:
	* server/sv_user.c 1.54:
	* win32/q2.rc 1.11:
		download fixes v3

2004-10-09	r1ch
	* build.h 1.45:
	* client/cl_main.c 1.59:
	* generate-source-zip.bat 1.2:
	* qcommon/cmd.c 1.29:
	* qcommon/common.c 1.48:
	* qcommon/files.c 1.20:
	* qcommon/qcommon.h 1.33:
	* quake2.vcproj 1.5:
	* server/sv_init.c 1.41:
	* server/sv_main.c 1.88:
	* server/sv_user.c 1.51:
	* win32/q2.rc 1.10:
		msec debug fix, new sv_uptime

2004-10-08	r1ch
	* build.h 1.44:
	* client/cl_main.c 1.58:
	* linux/net_udp.c 1.17:
	* qcommon/cvar.c 1.13:
	* qcommon/net_chan.c 1.21:
	* quake2.vcproj 1.4:
	* server/sv_main.c 1.87:
	* win32/vid_dll.c 1.25:
		really fix getspace crash

2004-10-03	r1ch
	* qcommon/net_chan.c 1.20:
	* server/sv_send.c 1.35:
	* win32/q2.rc 1.9:
	* win32/vid_dll.c 1.24:
		fix crash on netchan

	* quake2.vcproj 1.3:
		random banning fix

	* Makefile 1.1:
	* linux/Makefile 1.6:
		Makefile

2004-10-02	r1ch
	* build.h 1.43:
	* client/cl_input.c 1.18:
	* client/cl_main.c 1.57:
	* client/cl_parse.c 1.35:
	* client/client.h 1.23:
	* qcommon/cmd.c 1.27:
	* quake2.vcproj 1.2:
	* ref_gl/gl_image.c 1.25:
	* server/sv_main.c 1.86:
	* win32/in_win.c 1.7:
	* win32/q2.rc 1.8:
	* win32/vid_dll.c 1.23:
		stuff

	* qcommon/cmd.c 1.28:
		fix ded build

2004-09-25	r1ch
	* build.h 1.42:
	* client/cl_dll.c 1.6:
	* client/cl_ents.c 1.23:
	* client/cl_input.c 1.17:
	* client/cl_main.c 1.56:
	* client/cl_parse.c 1.34:
	* client/cl_pred.c 1.11:
	* client/cl_scrn.c 1.16:
	* client/client.h 1.22:
	* client/keys.c 1.8:
	* client/qmenu.c 1.4:
	* client/snd_loc.h 1.9:
	* client/snd_mix.c 1.8:
	* client/snd_openal.c 1.14:
	* client/sound.h 1.3:
	* client/x86.c 1.4:
	* game/q_shared.c 1.20:
	* game/q_shared.h 1.22:
	* generate-source-zip.bat 1.1:
	* genupdate.pl 1.2:
	* linux/Makefile 1.5:
	* linux/snd_linux.c 1.2:
	* linux/vid_so.c 1.2:
	* qcommon/cmd.c 1.26:
	* qcommon/cvar.c 1.12:
	* qcommon/qcommon.h 1.32:
	* quake2.sln 1.1:
	* quake2.vcproj 1.1:
	* r1q2.txt 1.2:
	* ref_gl/gl_image.c 1.24:
	* ref_gl/gl_local.h 1.24:
	* ref_gl/gl_model.c 1.10:
	* ref_gl/gl_rmain.c 1.22:
	* ref_gl/gl_rmisc.c 1.17:
	* server/sv_init.c 1.40:
	* server/sv_main.c 1.85:
	* server/sv_user.c 1.50:
	* updatebuild.pl 1.2:
	* updaterc.pl 1.1:
	* uploadsrc.pl 1.1:
	* win32/glw_imp.c 1.19:
	* win32/in_win.c 1.6:
	* win32/net_wins.c 1.28:
	* win32/q2.aps 1.9:
	* win32/q2.rc 1.7:
	* win32/resource.h 1.5:
	* win32/sys_win.c 1.45:
	* win32/winquake.h 1.6:
		linux client fixes, misc changes everywhere

2004-09-16	r1ch
	* build.h 1.41:
	* client/cl_ents.c 1.22:
	* client/cl_main.c 1.55:
	* client/client.h 1.21:
	* client/keys.c 1.7:
	* client/ref.h 1.7:
	* game/q_shared.c 1.19:
	* game/q_shared.h 1.21:
	* lib/zlib.lib 1.10:
	* qcommon/cmd.c 1.25:
	* qcommon/common.c 1.47:
	* qcommon/cvar.c 1.11:
	* qcommon/qcommon.h 1.31:
	* server/sv_user.c 1.49:
	* win32/sys_win.c 1.44:
		download cleanups, fix time drift, tab cmd/var completion

	* genupdate.pl 1.1:
	* updatebuild.pl 1.1:
		support .pl files

2004-09-12	r1ch
	* build.h 1.40:
	* client/cl_main.c 1.54:
	* client/cl_parse.c 1.33:
	* lib/zlib.lib 1.9:
	* qcommon/files.c 1.19:
		case fix

	* build.h 1.39:
	* client/cl_main.c 1.53:
	* qcommon/common.c 1.46:
	* qcommon/qcommon.h 1.30:
	* server/sv_ccmds.c 1.38:
	* server/sv_init.c 1.39:
	* server/sv_main.c 1.84:
	* win32/sys_win.c 1.43:
		\o/ saturday night and im committing to cvs \o/

2004-09-10	r1ch
	* build.h 1.38:
	* client/cl_ents.c 1.21:
	* client/cl_input.c 1.16:
	* client/cl_main.c 1.52:
	* client/cl_parse.c 1.32:
	* client/cl_pred.c 1.10:
	* client/client.h 1.20:
	* client/snd_dma.c 1.23:
	* lib/zconf.h 1.4:
	* lib/zlib.lib 1.8:
	* lib/zutil.h 1.3:
	* qcommon/cmodel.c 1.11:
	* qcommon/files.c 1.18:
	* server/sv_init.c 1.38:
	* server/sv_main.c 1.83:
	* server/sv_user.c 1.48:
	* win32/net_wins.c 1.27:
	* win32/snd_win.c 1.11:
	* win32/sys_win.c 1.42:
	* win32/vid_dll.c 1.22:
		fps/pred/dday fixes

	* lib/libpng.lib 1.1:
		libpng 1.2.7-rc1 minimal

2004-09-07	r1ch
	* build.h 1.37:
	* client/cl_parse.c 1.31:
	* qcommon/common.c 1.45:
	* qcommon/net_chan.c 1.19:
	* qcommon/qcommon.h 1.29:
	* server/sv_main.c 1.82:
	* server/sv_send.c 1.34:
		msgq improvements, misc sizebuf improvements

2004-09-06	r1ch
	* build.h 1.35:
	* qcommon/net_chan.c 1.18:
	* server/sv_main.c 1.81:
	* server/sv_send.c 1.32:
	* server/sv_user.c 1.47:
		msgq fix

	* server/sv_user.c 1.45:
		shut up whiny gcc

	* build.h 1.31:
	* server/server.h 1.35:
	* server/sv_ccmds.c 1.36:
	* server/sv_main.c 1.80:
	* server/sv_user.c 1.42:
		post-frances commit

	* build.h 1.33:
	* build.h 1.34:
	* server/sv_send.c 1.31:
	* server/sv_user.c 1.43:
	* server/sv_user.c 1.44:
		even more connection speed improvements

	* build.h 1.36:
	* server/server.h 1.36:
	* server/sv_send.c 1.33:
		dgram overflow fix

	* build.h 1.32:
	* server/sv_ccmds.c 1.37:
		killserver option to restart

	* server/sv_user.c 1.46:
		fix buggy baselines

2004-09-02	r1ch
	* build.h 1.30:
	* server/sv_user.c 1.41:
		mid-francis commit

2004-09-01	r1ch
	* build.h 1.27:
	* client/snd_dma.c 1.22:
	* client/snd_loc.h 1.8:
	* client/snd_mem.c 1.15:
	* client/snd_openal.c 1.13:
	* ref_gl/gl_image.c 1.23:
	* ref_gl/gl_local.h 1.23:
	* ref_gl/gl_model.c 1.9:
	* ref_gl/gl_rmain.c 1.21:
	* ref_gl/gl_rmisc.c 1.16:
	* ref_gl/glext.h 1.1:
	* ref_gl/qgl.h 1.2:
	* server/sv_ccmds.c 1.35:
	* server/sv_init.c 1.35:
	* server/sv_send.c 1.29:
	* win32/qgl_win.c 1.6:
	* win32/sys_win.c 1.41:
		pre-francis commit

	* server/sv_main.c 1.78:
		undo fix

	* build.h 1.29:
	* client/cl_main.c 1.51:
	* client/cl_parse.c 1.30:
	* qcommon/cmd.c 1.24:
	* qcommon/common.c 1.44:
	* qcommon/net_chan.c 1.17:
	* qcommon/qcommon.h 1.28:
	* server/sv_init.c 1.37:
	* server/sv_main.c 1.79:
	* server/sv_send.c 1.30:
	* server/sv_user.c 1.40:
		final pre-francis commit

	* build.h 1.28:
		build

	* server/sv_main.c 1.77:
		add nodata on low fps

	* server/sv_init.c 1.36:
		typo fix

2004-08-28	r1ch
	* qcommon/common.c 1.42:
		dedicated bind spam fix

	* qcommon/common.c 1.43:
	* server/sv_ccmds.c 1.34:
		qcmd fix

	* build.h 1.25:
	* qcommon/cmd.c 1.23:
	* qcommon/common.c 1.41:
	* qcommon/files.c 1.17:
	* win32/q2.aps 1.8:
	* win32/q2.rc 1.6:
	* win32/sys_win.c 1.40:
		b687

	* build.h 1.26:
		bno

2004-08-27	r1ch
	* qcommon/qcommon.h 1.27:
		revert update_backup, incompatible with baseq2 cmd_backup

	* build.h 1.24:
		buildno

	* server/server.h 1.34:
	* server/sv_init.c 1.34:
	* server/sv_main.c 1.76:
		recycle support

2004-08-26	r1ch
	* build.h 1.23:
		new buildno

	* server/sv_ccmds.c 1.33:
	* server/sv_send.c 1.28:
		fix sz_getspace crash on r1q2 client buffer overflow

	* qcommon/cmd.c 1.22:
	* qcommon/cvar.c 1.10:
		misc

	* linux/sys_linux.c 1.9:
		lazy symbol loader

2004-08-25	r1ch
	* build.h 1.22:
		buildno.

	* client/cl_main.c 1.49:
		reconnect fix

	* build.h 1.21:
	* client/cl_main.c 1.48:
	* client/cl_pred.c 1.9:
	* client/snd_dma.c 1.21:
	* game/q_shared.c 1.18:
	* qcommon/cmd.c 1.21:
	* qcommon/qcommon.h 1.26:
	* ref_gl/gl_image.c 1.22:
	* ref_gl/gl_local.h 1.22:
	* ref_gl/gl_rmain.c 1.20:
	* ref_gl/gl_rmisc.c 1.15:
	* server/server.h 1.33:
	* server/sv_ccmds.c 1.32:
	* server/sv_main.c 1.75:
	* server/sv_user.c 1.39:
	* win32/glw_imp.c 1.18:
	* win32/qgl_win.c 1.5:
	* win32/snd_win.c 1.10:
		status layout fix, misc win32 sound fixes

	* client/cl_main.c 1.50:
	* client/cl_parse.c 1.29:
	* client/cl_view.c 1.11:
		metavars

2004-08-22	r1ch
	* client/cl_ents.c 1.20:
	* client/cl_input.c 1.15:
	* client/cl_main.c 1.47:
	* qcommon/cmd.c 1.20:
	* qcommon/common.c 1.40:
	* server/server.h 1.32:
	* server/sv_ccmds.c 1.31:
	* server/sv_game.c 1.17:
	* server/sv_init.c 1.33:
	* server/sv_main.c 1.74:
	* server/sv_user.c 1.38:
	* server/sv_world.c 1.7:
	* win32/glw_imp.c 1.17:
	* win32/sys_win.c 1.39:
	* win32/vid_dll.c 1.21:
		commit from cc before leaving .ca

2004-08-09	r1ch
	* server/sv_main.c 1.73:
		sv_fpsflood fix

	* linux/sys_linux.c 1.8:
		undo fflush fix

	* linux/sys_linux.c 1.7:
		fflush fix

2004-08-08	r1ch
	* qcommon/qcommon.h 1.25:
	* server/sv_send.c 1.26:
		fix for linux overflows

	* server/sv_send.c 1.27:
		more fix

	* linux/Makefile 1.3:
	* linux/Makefile 1.4:
		*** empty log message ***

	* server/sv_main.c 1.72:
		rcon buffer overflow fix

2004-08-02	r1ch
	* build.h 1.20:
	* client/console.c 1.15:
	* qcommon/cmd.c 1.19:
	* qcommon/files.c 1.16:
	* server/sv_ccmds.c 1.30:
	* server/sv_null.c 1.2:
		pre canada commit

2004-07-29	r1ch
	* build.h 1.19:
	* server/sv_user.c 1.37:
		nocheat detection fix

	* build.h 1.18:
	* client/cl_parse.c 1.28:
	* qcommon/net_chan.c 1.16:
	* server/server.h 1.31:
	* server/sv_main.c 1.71:
	* server/sv_send.c 1.25:
	* server/sv_user.c 1.36:
	* server/sv_world.c 1.6:
		superupdates

2004-07-26	r1ch
	* build.h 1.17:
	* client/cl_ents.c 1.19:
	* client/cl_main.c 1.46:
	* client/cl_parse.c 1.27:
	* client/snd_openal.c 1.12:
	* game/q_shared.h 1.20:
	* qcommon/common.c 1.39:
	* qcommon/qcommon.h 1.24:
	* server/server.h 1.30:
	* server/sv_ccmds.c 1.29:
	* server/sv_init.c 1.32:
	* server/sv_main.c 1.70:
	* server/sv_send.c 1.24:
	* server/sv_user.c 1.35:
	* win32/sys_win.c 1.38:
		various fixes, experimental message queing framework

2004-07-16	r1ch
	* build.h 1.16:
		support for new prediction svflag

	* win32/sys_win.c 1.37:
		unreferenced var cleanup

2004-07-12	r1ch
	* build.h 1.15:
	* client/cl_ents.c 1.18:
	* client/cl_main.c 1.45:
	* game/game.h 1.5:
	* game/q_shared.c 1.17:
	* game/q_shared.h 1.19:
	* qcommon/common.c 1.38:
	* qcommon/net_chan.c 1.15:
	* ref_gl/gl_local.h 1.21:
	* ref_gl/gl_mesh.c 1.6:
	* server/server.h 1.29:
	* server/sv_ccmds.c 1.28:
	* server/sv_game.c 1.16:
	* server/sv_main.c 1.69:
	* server/sv_send.c 1.23:
	* server/sv_user.c 1.34:
	* server/sv_world.c 1.5:
	* win32/sys_win.c 1.36:
		linux snprintf/vsnprintf fixes

2004-05-02	r1ch
	* server/server.h 1.28:
	* server/sv_main.c 1.68:
		who knows

2004-02-19	r1ch
	* build.h 1.14:
	* qcommon/net_chan.c 1.14:
	* server/sv_ccmds.c 1.27:
		bugfix dedicated crashing on lost packets

2004-02-15	r1ch
	* qcommon/common.c 1.37:
	* qcommon/net_chan.c 1.13:
	* server/sv_ccmds.c 1.26:
	* server/sv_game.c 1.15:
	* server/sv_main.c 1.67:
		fix server console addhole buffer overflow

	* build.h 1.13:
	* server/sv_main.c 1.66:
	* win32/q_shwin.c 1.4:
		rcon flood timer fixes

2004-02-07	r1ch
	* linux/net_udp.c 1.16:
	* qcommon/qcommon.h 1.23:
		linux more udp netopen fixes

	* build.h 1.12:
	* client/cl_parse.c 1.26:
	* lib/zconf.h 1.3:
	* lib/zlib.h 1.2:
	* lib/zlib.lib 1.7:
	* lib/zutil.h 1.2:
	* linux/net_udp.c 1.15:
	* qcommon/common.c 1.36:
	* win32/q2.aps 1.7:
	* win32/q2.rc 1.5:
		linux netopen fixes

2004-01-12	r1ch
	* build.h 1.11:
	* client/cl_input.c 1.14:
	* client/cl_main.c 1.44:
	* client/cl_parse.c 1.25:
	* client/cl_pred.c 1.8:
	* client/cl_tent.c 1.6:
	* client/snd_dma.c 1.20:
	* client/snd_loc.h 1.7:
	* client/snd_mem.c 1.14:
	* client/snd_openal.c 1.11:
	* game/q_shared.h 1.18:
	* linux/net_udp.c 1.14:
	* qcommon/net_chan.c 1.12:
	* qcommon/pmove.c 1.3:
	* qcommon/qcommon.h 1.22:
	* server/server.h 1.27:
	* server/sv_ccmds.c 1.25:
	* server/sv_init.c 1.31:
	* server/sv_main.c 1.65:
	* server/sv_send.c 1.22:
	* server/sv_user.c 1.33:
	* win32/net_wins.c 1.26:
		fix for overflow on test protocol

2004-01-10	r1ch
	* linux/sys_linux.c 1.6:
		handle signals nicely

2003-11-19	r1ch
	* linux/sys_linux.c 1.5:
		More detailed errors on failing dl() game dll.

2003-11-14	r1ch
	* build.h 1.10:
	* client/cl_main.c 1.43:
	* client/cl_parse.c 1.24:
	* client/cl_scrn.c 1.15:
	* client/snd_dma.c 1.19:
	* qcommon/net_chan.c 1.11:
	* server/sv_init.c 1.30:
	* server/sv_main.c 1.64:
	* win32/sys_win.c 1.35:
		misc

2003-11-04	r1ch
	* server/sv_main.c 1.63:
		fix

	* server/server.h 1.26:
	* server/sv_ccmds.c 1.24:
	* server/sv_main.c 1.62:
		zlib sending to nonr1q2 clients fixed

	* linux/net_udp.c 1.13:
		*** empty log message ***

2003-11-03	r1ch
	* linux/net_udp.c 1.12:
		*** empty log message ***

	* server/sv_main.c 1.59:
	* server/sv_main.c 1.60:
	* server/sv_main.c 1.61:
		crash fix

2003-09-27	r1ch
	* linux/sys_linux.c 1.4:
		stuff

2003-09-13	r1ch
	* client/cl_main.c 1.41:
	* client/cl_scrn.c 1.13:
	* client/client.h 1.18:
	* client/snd_openal.c 1.9:
	* qcommon/cmodel.c 1.10:
	* qcommon/common.c 1.34:
	* server/sv_init.c 1.29:
	* server/sv_main.c 1.57:
	* win32/conproc.c 1.4:
	* win32/net_wins.c 1.24:
	* win32/q2.aps 1.5:
	* win32/q2.rc 1.4:
	* win32/resource.h 1.4:
	* win32/sys_win.c 1.33:
		zlib fixups, general improvements. do a diff :)

2003-08-03	r1ch
	* build.h 1.8:
	* client/cl_ents.c 1.17:
	* client/cl_main.c 1.40:
	* client/cl_scrn.c 1.12:
	* client/cl_view.c 1.9:
	* qcommon/cmd.c 1.17:
	* server/server.h 1.24:
	* server/sv_ents.c 1.10:
	* server/sv_game.c 1.14:
	* server/sv_main.c 1.56:
	* server/sv_user.c 1.32:
	* win32/net_wins.c 1.23:
		updates

2003-06-22	r1ch
	* game/q_shared.h 1.16:
		source sync from .bs

2003-06-04	r1ch
	* build.h 1.6:
	* client/cl_main.c 1.38:
	* client/cl_parse.c 1.22:
	* client/console.c 1.14:
	* client/keys.c 1.5:
	* client/ref.h 1.6:
	* client/snd_dma.c 1.17:
	* client/snd_mix.c 1.7:
	* game/q_shared.c 1.15:
	* game/q_shared.h 1.15:
	* qcommon/cmd.c 1.15:
	* qcommon/cmodel.c 1.9:
	* qcommon/common.c 1.32:
	* qcommon/files.c 1.15:
	* qcommon/net_chan.c 1.10:
	* qcommon/qcommon.h 1.20:
	* ref_gl/gl_image.c 1.20:
	* ref_gl/gl_local.h 1.18:
	* ref_gl/gl_rmain.c 1.17:
	* server/server.h 1.22:
	* server/sv_init.c 1.27:
	* server/sv_main.c 1.54:
	* server/sv_send.c 1.20:
	* server/sv_user.c 1.30:
	* win32/glw_imp.c 1.16:
	* win32/sys_win.c 1.31:
		linux cleanups

2003-05-24	r1ch
	* client/client.h 1.16:
	* game/q_shared.h 1.14:
	* qcommon/common.c 1.31:
	* qcommon/md4.c 1.5:
		openssl fixen

2003-05-03	r1ch
	* qcommon/md4.c 1.4:
	* qcommon/sha1.c 1.4:
	* qcommon/sha1.h 1.2:
		Use OpenSSL instead of builtin functions

	* build.h 1.4:
	* client/cl_dll.c 1.5:
	* client/cl_ents.c 1.15:
	* client/cl_main.c 1.36:
	* client/cl_parse.c 1.20:
	* client/cl_scrn.c 1.10:
	* client/client.h 1.14:
	* client/ref.h 1.5:
	* client/screen.h 1.2:
	* client/vid.h 1.2:
	* game/game.h 1.3:
	* game/q_shared.h 1.12:
	* lib/zconf.h 1.2:
	* qcommon/cmd.c 1.13:
	* qcommon/cmodel.c 1.7:
	* qcommon/common.c 1.29:
	* qcommon/cvar.c 1.9:
	* qcommon/files.c 1.13:
	* qcommon/md4.c 1.3:
	* qcommon/net_chan.c 1.9:
	* qcommon/qcommon.h 1.18:
	* ref_gl/gl_draw.c 1.3:
	* ref_gl/gl_image.c 1.19:
	* ref_gl/gl_local.h 1.16:
	* ref_gl/gl_model.c 1.7:
	* ref_gl/gl_rmain.c 1.15:
	* ref_gl/gl_rmisc.c 1.11:
	* ref_gl/gl_warp.c 1.3:
	* server/server.h 1.20:
	* server/sv_ccmds.c 1.21:
	* server/sv_game.c 1.11:
	* server/sv_init.c 1.25:
	* server/sv_main.c 1.51:
	* server/sv_send.c 1.18:
	* server/sv_world.c 1.3:
	* win32/glw_imp.c 1.14:
	* win32/qgl_win.c 1.2:
	* win32/snd_win.c 1.7:
	* win32/sys_win.c 1.29:
	* win32/vid_dll.c 1.18:
	* win32/vid_menu.c 1.3:
		Support for different internal calling conventions

2003-05-02	r1ch
	* build.h 1.3:
	* client/cl_input.c 1.11:
	* client/cl_main.c 1.35:
	* client/cl_parse.c 1.19:
	* game/q_shared.c 1.13:
	* linux/glob.c 1.2:
	* qcommon/cmodel.c 1.6:
	* qcommon/common.c 1.28:
	* qcommon/files.c 1.12:
	* qcommon/md4.c 1.2:
	* qcommon/net_chan.c 1.8:
	* qcommon/qcommon.h 1.17:
	* ref_gl/gl_mesh.c 1.4:
	* ref_gl/gl_rmain.c 1.14:
	* ref_gl/gl_rmisc.c 1.10:
	* ref_gl/gl_rsurf.c 1.8:
	* server/server.h 1.19:
	* server/sv_main.c 1.50:
	* server/sv_send.c 1.17:
	* server/sv_user.c 1.28:
	* win32/glw_imp.c 1.13:
	* win32/sys_win.c 1.28:
		stuff

2003-04-24	r1ch
	* build.h 1.2:
	* game/q_shared.c 1.12:
	* linux/net_udp.c 1.8:
	* qcommon/cmd.c 1.12:
	* qcommon/common.c 1.26:
	* server/server.h 1.18:
	* server/sv_ccmds.c 1.20:
	* server/sv_main.c 1.49:
	* server/sv_user.c 1.27:
		intel fixes

	* game/q_shared.h 1.11:
	* linux/net_udp.c 1.9:
	* qcommon/common.c 1.27:
		fixes

2003-04-20	r1ch
	* qcommon/qcommon.h 1.15:
		header fix for gcc

	* client/cl_ents.c 1.14:
	* client/cl_main.c 1.34:
	* client/console.c 1.13:
	* game/q_shared.c 1.11:
	* linux/net_udp.c 1.7:
	* qcommon/common.c 1.25:
	* qcommon/cvar.c 1.8:
	* qcommon/net_chan.c 1.7:
	* qcommon/qcommon.h 1.14:
	* server/server.h 1.17:
	* server/sv_init.c 1.24:
	* server/sv_main.c 1.48:
	* server/sv_send.c 1.16:
	* server/sv_user.c 1.26:
	* win32/net_wins.c 1.20:
	* win32/snd_win.c 1.6:
		fix for gcc being stupid

	* build.h 1.1:
		build number

2003-04-08	r1ch
	* client/cl_input.c 1.10:
	* client/cl_view.c 1.8:
	* game/q_shared.h 1.10:
	* lib/zlibd.lib 1.4:
	* qcommon/cvar.c 1.7:
	* qcommon/files.c 1.11:
	* ref_gl/gl_light.c 1.4:
	* ref_gl/gl_local.h 1.15:
	* ref_gl/gl_rmain.c 1.13:
	* ref_gl/gl_rmisc.c 1.9:
	* server/server.h 1.16:
	* server/sv_init.c 1.23:
	* server/sv_main.c 1.47:
	* server/sv_user.c 1.25:
	* win32/glw_imp.c 1.12:
	* win32/vid_dll.c 1.17:
		server: option to disable nodelta clients

2003-03-30	r1ch
	* client/cl_main.c 1.33:
	* ref_gl/gl_image.c 1.18:
	* ref_gl/gl_local.h 1.14:
	* ref_gl/gl_rmain.c 1.12:
	* server/sv_init.c 1.22:
	* server/sv_user.c 1.24:
	* win32/glw_imp.c 1.11:
		more spawncount fixes

2003-03-29	r1ch
	* client/cl_scrn.c 1.9:
	* server/server.h 1.14:
	* server/sv_init.c 1.21:
	* server/sv_user.c 1.22:
	* server/sv_user.c 1.23:
		fix

	* ref_gl/gl_image.c 1.17:
	* ref_gl/gl_local.h 1.13:
	* ref_gl/gl_rmain.c 1.11:
	* ref_gl/gl_rmisc.c 1.8:
	* server/sv_main.c 1.45:
	* win32/glw_imp.c 1.10:
		unsigned challenge fixes

2003-03-28	r1ch
	* client/cl_ents.c 1.13:
	* client/cl_input.c 1.9:
	* client/cl_main.c 1.32:
	* client/cl_scrn.c 1.8:
	* client/console.c 1.12:
	* client/keys.c 1.4:
	* game/q_shared.c 1.10:
	* game/q_shared.h 1.9:
	* qcommon/common.c 1.24:
	* qcommon/files.c 1.10:
	* qcommon/net_chan.c 1.6:
	* qcommon/qcommon.h 1.13:
	* ref_gl/gl_image.c 1.16:
	* ref_gl/gl_local.h 1.12:
	* ref_gl/gl_model.c 1.6:
	* ref_gl/gl_rmain.c 1.10:
	* ref_gl/gl_rmisc.c 1.7:
	* server/sv_game.c 1.10:
	* server/sv_init.c 1.20:
	* server/sv_main.c 1.44:
	* server/sv_send.c 1.15:
	* server/sv_user.c 1.21:
	* win32/glw_imp.c 1.9:
	* win32/sys_win.c 1.27:
	* win32/vid_dll.c 1.16:
		hax

2003-02-25	r1ch
	* client/cl_ents.c 1.12:
	* client/cl_input.c 1.8:
	* client/cl_main.c 1.31:
	* client/cl_parse.c 1.18:
	* client/cl_tent.c 1.5:
	* client/snd_dma.c 1.15:
	* qcommon/common.c 1.22:
	* qcommon/common.c 1.23:
	* qcommon/qcommon.h 1.12:
	* ref_gl/gl_image.c 1.15:
	* ref_gl/gl_light.c 1.3:
	* server/sv_init.c 1.19:
	* server/sv_main.c 1.43:
	* server/sv_send.c 1.14:
	* server/sv_user.c 1.20:
	* win32/glw_imp.c 1.8:
	* win32/net_wins.c 1.19:
	* win32/sys_win.c 1.26:
	* win32/vid_dll.c 1.15:
		hax and more

2003-02-02	r1ch
	* server/sv_send.c 1.13:
		remove debug print

	* client/cl_ents.c 1.11:
	* client/cl_input.c 1.7:
	* client/cl_main.c 1.30:
	* client/cl_parse.c 1.17:
	* client/cl_view.c 1.7:
	* client/client.h 1.13:
	* ref_gl/gl_image.c 1.14:
	* ref_gl/gl_local.h 1.11:
	* ref_gl/gl_rmain.c 1.9:
	* ref_gl/gl_rsurf.c 1.7:
	* server/server.h 1.13:
	* server/sv_ents.c 1.8:
	* server/sv_init.c 1.18:
	* server/sv_main.c 1.42:
	* server/sv_send.c 1.12:
	* server/sv_user.c 1.19:
	* win32/glw_imp.c 1.7:
	* win32/vid_dll.c 1.14:
		phs fix

2003-01-27	r1ch
	* client/cl_parse.c 1.16:
	* client/cl_scrn.c 1.7:
	* client/client.h 1.12:
	* server/sv_init.c 1.17:
	* server/sv_main.c 1.41:
	* win32/sys_win.c 1.25:
		linux download fix

	* linux/net_udp.c 1.6:
		linux port fixes

2003-01-25	r1ch
	* client/cl_parse.c 1.15:
	* ref_gl/gl_rmain.c 1.8:
	* server/server.h 1.12:
	* server/sv_init.c 1.15:
	* server/sv_main.c 1.40:
	* server/sv_user.c 1.17:
	* win32/net_wins.c 1.18:
	* win32/sys_win.c 1.24:
		fixes and hacks

2003-01-23	r1ch
	* client/snd_dma.c 1.14:
	* server/sv_main.c 1.39:
		fixes

2003-01-22	r1ch
	* client/cl_dll.c 1.4:
	* client/cl_ents.c 1.10:
	* client/cl_main.c 1.28:
	* client/cl_parse.c 1.14:
	* client/client.h 1.11:
	* client/console.c 1.11:
	* game/q_shared.h 1.8:
	* lib/zlib.lib 1.5:
	* lib/zlibd.lib 1.3:
	* qcommon/common.c 1.21:
	* qcommon/net_chan.c 1.5:
	* qcommon/qcommon.h 1.11:
	* server/server.h 1.11:
	* server/sv_ents.c 1.7:
	* server/sv_main.c 1.37:
	* server/sv_send.c 1.10:
	* server/sv_user.c 1.15:
	* win32/net_wins.c 1.17:
	* win32/sys_win.c 1.22:
		zlib tcp autodownloading! hurray!

2003-01-21	r1ch
	* client/cl_main.c 1.27:
	* client/cl_parse.c 1.13:
	* client/client.h 1.10:
	* qcommon/common.c 1.20:
	* ref_gl/gl_local.h 1.10:
	* ref_gl/gl_rmain.c 1.7:
	* server/sv_main.c 1.36:
	* server/sv_send.c 1.9:
		HACKS AND VIRUSES.

2003-01-20	r1ch
	* client/console.c 1.10:
	* client/snd_mem.c 1.11:
	* lib/zlib.lib 1.4:
	* lib/zlibd.lib 1.2:
	* ref_gl/gl_image.c 1.13:
	* ref_gl/gl_model.c 1.5:
	* ref_gl/gl_rmisc.c 1.6:
	* ref_gl/gl_rsurf.c 1.6:
	* server/sv_send.c 1.7:
	* server/sv_send.c 1.8:
	* win32/vid_dll.c 1.13:
		fix overflow bug

2003-01-01	r1ch
	* client/cl_main.c 1.24:
	* linux/sys_linux.c 1.2:
		linux fixes

2002-12-31	r1ch
	* client/snd_dma.c 1.12:
	* server/sv_main.c 1.33:
	* server/sv_send.c 1.5:
		more userinfo validation

2002-12-29	r1ch
	* client/cl_input.c 1.5:
	* client/cl_main.c 1.23:
	* game/q_shared.h 1.6:
	* qcommon/cmd.c 1.10:
	* qcommon/common.c 1.17:
	* qcommon/qcommon.h 1.9:
	* server/sv_init.c 1.13:
	* server/sv_user.c 1.13:
	* win32/net_wins.c 1.15:
	* win32/sys_win.c 1.19:
		remove unnecessary client function stubs from dedicated only

2002-12-24	r1ch
	* client/cl_main.c 1.22:
	* win32/net_wins.c 1.14:
		winsock stats counters

	* client/snd_dma.c 1.11:
	* client/snd_loc.h 1.6:
	* client/snd_mem.c 1.10:
	* client/snd_mix.c 1.5:
	* game/q_shared.c 1.9:
	* game/q_shared.h 1.5:
	* server/server.h 1.10:
	* server/sv_init.c 1.12:
	* server/sv_main.c 1.32:
	* server/sv_user.c 1.12:
	* win32/vid_dll.c 1.11:
		more userinfo fixes, revert to standard q2 sound mixing

2002-12-01	r1ch
	* client/cl_main.c 1.21:
	* qcommon/qcommon.h 1.8:
	* win32/q_shwin.c 1.2:
	* win32/sys_win.c 1.17:
		64 bit issues

2002-11-25	r1ch
	* server/sv_main.c 1.30:
		fix for sv_password 'none'

	* client/snd_loc.h 1.5:
	* client/snd_mem.c 1.9:
	* client/snd_openal.c 1.8:
	* qcommon/files.c 1.9:
		fs cache fixes

2002-11-24	r1ch
	* client/cl_ents.c 1.7:
	* client/cl_main.c 1.20:
	* client/cl_parse.c 1.11:
	* lib/OpenAL32d.lib 1.3:
	* qcommon/common.c 1.16:
	* server/server.h 1.9:
	* server/sv_main.c 1.29:
	* server/sv_user.c 1.11:
	* win32/glw_imp.c 1.5:
	* win32/net_wins.c 1.13:
		bunch o fixes

2002-11-17	r1ch
	* client/cl_ents.c 1.6:
	* client/snd_dma.c 1.9:
	* client/snd_loc.h 1.4:
	* client/snd_mem.c 1.8:
	* client/snd_openal.c 1.7:
	* server/sv_main.c 1.28:
	* win32/net_wins.c 1.12:
	* win32/sys_win.c 1.16:
		semi-complete openal support, server 100% when no game running 
		fix, win32 server window fix

2002-11-11	r1ch
	* client/cl_main.c 1.19:
	* client/client.h 1.7:
	* qcommon/common.c 1.15:
	* qcommon/files.c 1.8:
	* ref_gl/gl_image.c 1.11:
	* ref_gl/gl_local.h 1.7:
	* ref_gl/gl_rmain.c 1.4:
	* ref_gl/gl_rmisc.c 1.3:
	* win32/glw_imp.c 1.4:
	* win32/in_win.c 1.3:
	* win32/vid_dll.c 1.10:
		readded profile code, other misc fixes

2002-11-05	r1ch
	* client/cl_main.c 1.18:
	* client/cl_parse.c 1.10:
	* client/console.c 1.8:
	* client/menu.c 1.4:
	* client/snd_mem.c 1.7:
	* game/q_shared.c 1.8:
	* qcommon/cmd.c 1.9:
	* qcommon/common.c 1.14:
	* qcommon/qcommon.h 1.7:
	* ref_gl/gl_image.c 1.10:
	* ref_gl/gl_light.c 1.2:
	* ref_gl/gl_local.h 1.6:
	* ref_gl/gl_mesh.c 1.2:
	* ref_gl/gl_model.c 1.3:
	* ref_gl/gl_rmain.c 1.3:
	* ref_gl/gl_rmisc.c 1.2:
	* ref_gl/gl_rsurf.c 1.4:
	* server/sv_game.c 1.9:
	* server/sv_init.c 1.11:
	* server/sv_main.c 1.27:
	* win32/glw_imp.c 1.3:
	* win32/in_win.c 1.2:
	* win32/net_wins.c 1.11:
	* win32/sys_win.c 1.15:
	* win32/vid_dll.c 1.9:
	* win32/winquake.h 1.3:
		stuff

2002-10-28	r1ch
	* server/sv_ccmds.c 1.17:
		remove redundant cvar

	* server/sv_main.c 1.26:
		client_connect dropped packet handled better (5 sec timeout as 
		opposed to timeout->value)

2002-10-21	r1ch
	* client/cl_cin.c 1.3:
	* client/cl_dll.c 1.3:
	* client/cl_ents.c 1.5:
	* client/cl_fx.c 1.3:
	* client/cl_inv.c 1.3:
	* client/cl_main.c 1.17:
	* client/cl_parse.c 1.9:
	* client/cl_pred.c 1.5:
	* client/cl_scrn.c 1.6:
	* client/cl_view.c 1.5:
	* client/client.h 1.6:
	* client/console.c 1.7:
	* client/le_util.c 1.2:
	* client/menu.c 1.3:
	* client/qmenu.c 1.2:
	* client/snd_dma.c 1.8:
	* client/snd_mem.c 1.6:
	* client/snd_openal.c 1.6:
	* qcommon/sha1.c 1.3:
	* ref_gl/gl_model.c 1.2:
	* server/sv_ccmds.c 1.16:
	* server/sv_game.c 1.8:
	* server/sv_init.c 1.10:
	* server/sv_main.c 1.25:
	* win32/sys_win.c 1.14:
	* win32/vid_dll.c 1.8:
		lots of ICL fixes and stuff

2002-10-20	r1ch
	* client/cl_fx.c 1.2:
	* client/cl_inv.c 1.2:
	* client/cl_main.c 1.16:
	* client/cl_parse.c 1.8:
	* client/cl_pred.c 1.4:
	* client/cl_scrn.c 1.5:
	* client/cl_view.c 1.4:
	* client/client.h 1.5:
	* client/console.c 1.6:
	* client/snd_dma.c 1.7:
	* client/snd_loc.h 1.3:
	* client/snd_mem.c 1.5:
	* client/snd_openal.c 1.5:
	* qcommon/files.c 1.7:
	* qcommon/qcommon.h 1.6:
	* ref_gl/gl_rsurf.c 1.3:
	* server/sv_game.c 1.7:
	* server/sv_init.c 1.9:
	* server/sv_user.c 1.10:
		buffered net

2002-10-05	r1ch
	* client/cl_main.c 1.15:
	* qcommon/sha1.c 1.2:
	* win32/net_wins.c 1.10:
	* win32/sys_win.c 1.13:
		winsock send/recv buffer config

2002-10-02	r1ch
	* server/sv_main.c 1.24:
		update protocol reject message

2002-09-30	r1ch
	* client/snd_openal.c 1.4:
	* game/q_shared.c 1.7:
	* qcommon/common.c 1.13:
		blah

2002-09-28	r1ch
	* client/cl_tent.c 1.3:
	* client/snd_mix.c 1.4:
	* qcommon/files.c 1.6:
	* server/server.h 1.8:
	* server/sv_main.c 1.23:
	* win32/q2.aps 1.4:
		misc

2002-09-26	r1ch
	* client/cl_main.c 1.14:
	* qcommon/cmd.c 1.8:
	* qcommon/common.c 1.12:
	* server/sv_send.c 1.4:
		release build cmd forward fix

	* qcommon/cmd.c 1.7:
		HACKED FILES

	* qcommon/common.c 1.11:
		rcon fix

2002-09-24	r1ch
	* client/snd_openal.c 1.3:
	* ref_gl/gl_image.c 1.9:
	* win32/sys_win.c 1.12:
		misc

2002-09-18	r1ch
	* client/snd_mem.c 1.4:
	* qcommon/common.c 1.10:
	* qcommon/cvar.c 1.5:
	* ref_gl/gl_image.c 1.8:
	* server/sv_ccmds.c 1.15:
	* server/sv_init.c 1.8:
	* server/sv_send.c 1.3:
	* win32/net_wins.c 1.9:
	* win32/snd_win.c 1.4:
	* win32/vid_dll.c 1.7:
		merge cleanups

2002-09-12	r1ch
	* client/cl_main.c 1.13:
	* qcommon/cmd.c 1.6:
	* server/sv_ccmds.c 1.14:
		cvs commit before i leave

2002-09-07	r1ch
	* client/cl_input.c 1.4:
	* client/cl_main.c 1.12:
	* client/cl_parse.c 1.7:
	* client/snd_dma.c 1.6:
	* client/snd_openal.c 1.2:
	* lib/OpenAL32d.dll 1.2:
	* lib/OpenAL32d.exp 1.2:
	* lib/OpenAL32d.lib 1.2:
	* ref_gl/gl_draw.c 1.2:
	* ref_gl/gl_image.c 1.7:
	* server/sv_ccmds.c 1.13:
	* win32/net_wins.c 1.8:
		blö

2002-09-02	r1ch
	* client/snd_openal.c 1.1:
		openal

	* client/cl_pred.c 1.3:
	* client/client.h 1.4:
	* client/snd_dma.c 1.5:
	* client/snd_mem.c 1.3:
	* client/snd_mix.c 1.3:
		security fixes and other misc stuff

	* game/game.h 1.2:
	* server/sv_game.c 1.6:
	* server/sv_main.c 1.22:
	* server/sv_user.c 1.9:
	* win32/net_wins.c 1.7:
	* win32/sys_win.c 1.11:
		misc fixes

2002-08-29	r1ch
	* lib/OpenAL32d.dll 1.1:
	* lib/OpenAL32d.exp 1.1:
	* lib/OpenAL32d.lib 1.1:
	* lib/zlib.res 1.2:
	* lib/zlibd.ilk 1.2:
	* lib/zlibd.libo 1.2:
		lib updates, openal initial import

2002-08-21	r1ch
	* client/cl_scrn.c 1.4:
	* client/console.c 1.5:
	* client/keys.c 1.3:
	* qcommon/files.c 1.5:
	* server/server.h 1.7:
	* server/sv_ccmds.c 1.12:
	* server/sv_ents.c 1.6:
	* server/sv_init.c 1.7:
	* win32/sys_win.c 1.10:
	* win32/vid_dll.c 1.6:
		blorp

2002-08-03	r1ch
	* server/sv_ccmds.c 1.11:
	* server/sv_init.c 1.6:
	* win32/net_wins.c 1.6:
		blah

2002-08-02	r1ch
	* server/sv_ccmds.c 1.10:
	* server/sv_main.c 1.21:
		more blackhole fixes

2002-07-31	r1ch
	* client/cl_ents.c 1.4:
	* client/cl_main.c 1.11:
		more verbose debug errors

	* game/q_shared.c 1.6:
	* game/q_shared.h 1.4:
	* linux/net_udp.c 1.3:
		linux fixes

	* qcommon/common.c 1.9:
		remove ntservice debug code

	* win32/net_wins.c 1.5:
	* win32/sys_win.c 1.9:
		NO_SERVER fixes

	* server/sv_ccmds.c 1.9:
	* server/sv_ents.c 1.5:
	* server/sv_game.c 1.5:
	* server/sv_main.c 1.20:
	* server/sv_user.c 1.8:
		linux cleanups

2002-07-26	r1ch
	* client/cl_main.c 1.10:
	* client/snd_dma.c 1.4:
	* client/snd_loc.h 1.2:
	* client/sound.h 1.2:
	* win32/snd_win.c 1.3:
		allow snd_restart to reinit dx

	* server/sv_main.c 1.19:
		fix for bad challenge error

2002-07-25	r1ch
	* qcommon/files.c 1.4:
		remove debug

	* client/cl_main.c 1.9:
		default to old protocol until the new one actually works

	* game/q_shared.c 1.5:
	* qcommon/cmodel.c 1.5:
		need optimize off - breaks fpu in places !!

2002-07-24	r1ch
	* client/snd_mix.c 1.2:
	* game/q_shared.c 1.4:
	* game/q_shared.h 1.3:
	* qcommon/qcommon.h 1.5:
	* ref_gl/gl_image.c 1.6:
	* win32/sys_win.c 1.8:
		fastcall stuff

2002-07-21	r1ch
	* server/sv_main.c 1.18:
		blackhole free/Z_Free fix

	* ref_gl/gl_image.c 1.5:
	* ref_gl/gl_local.h 1.5:
		32/24 bit png fix

2002-07-17	r1ch
	* qcommon/common.c 1.8:
	* win32/sys_win.c 1.7:
		console fix

	* game/q_shared.c 1.3:
	* qcommon/cmodel.c 1.4:
	* qcommon/common.c 1.7:
	* server/server.h 1.6:
	* server/sv_ccmds.c 1.8:
	* server/sv_init.c 1.5:
	* win32/sys_win.c 1.6:
		NTservice support

2002-07-15	r1ch
	* server/sv_ccmds.c 1.7:
		broadcast command

	* win32/icon2.ico 1.1:
	* win32/q2.aps 1.3:
	* win32/q2.rc 1.3:
	* win32/resource.h 1.3:
	* win32/sys_win.c 1.5:
		console fixes

2002-07-14	r1ch
	* server/sv_ccmds.c 1.5:
		tweaks

2002-07-13	r1ch
	* server/sv_main.c 1.16:
		moved sys_updateconsolebuffer

	* qcommon/common.c 1.6:
		checking for any missed commits before i update to get rid of 
		stale modified warning...

	* server/server.h 1.5:
	* server/sv_main.c 1.15:
	* win32/sys_win.c 1.4:
		buffered console output

2002-05-25	r1ch
	* server/sv_user.c 1.6:
		configstring low rate bugfix

	* client/cl_main.c 1.6:
	* client/cl_parse.c 1.4:
	* qcommon/cmd.c 1.4:
	* server/sv_user.c 1.5:
		\/ download bug fix

2002-05-24	r1ch
	* client/cl_main.c 1.5:
	* client/cl_parse.c 1.3:
	* client/client.h 1.2:
	* qcommon/cmd.c 1.3:
	* qcommon/common.c 1.4:
	* qcommon/qcommon.h 1.3:
	* server/sv_ccmds.c 1.3:
	* server/sv_ents.c 1.3:
	* server/sv_game.c 1.2:
	* server/sv_init.c 1.3:
	* server/sv_main.c 1.11:
	* server/sv_send.c 1.2:
	* server/sv_user.c 1.4:
	* win32/net_wins.c 1.3:
		misc things

2002-05-14	r1ch
	* linux/Makefile 1.1:
	* linux/Makefile.i386 1.2:
		linux Makefile

	* linux/net_udp.c 1.2:
	* linux/q_shlinux.c 1.2:
		linux build fixes

2002-05-13	r1ch
	* server/sv_main.c 1.10:
	* server/sv_user.c 1.3:
	* win32/vid_dll.c 1.4:
		macro command expansion security fix (the sequel)

	* client/cl_input.c 1.2:
	* client/cl_main.c 1.4:
	* client/ref.h 1.3:
	* qcommon/common.c 1.3:
	* qcommon/net_chan.c 1.2:
	* ref_gl/gl_image.c 1.3:
	* ref_gl/gl_local.h 1.3:
	* ref_gl/gl_rmain.c 1.2:
	* server/sv_main.c 1.9:
	* server/sv_user.c 1.2:
	* server/sv_world.c 1.2:
	* win32/glw_imp.c 1.2:
	* win32/net_wins.c 1.2:
	* win32/vid_dll.c 1.3:
		macro command expansion security fix

2002-04-29	r1ch
	* client/cl_main.c 1.3:
	* client/console.c 1.3:
	* qcommon/cvar.c 1.3:
	* server/sv_ccmds.c 1.2:
	* server/sv_main.c 1.8:
		nasty reconnect / client overwrite bugfix
		some .. traversal fixes

2002-04-28	r1ch
	* lib/libpng12.dll 1.1:
	* lib/libpng12.exp 1.1:
	* lib/libpng12.lib 1.1:
		png 1.2 import

	* client/cl_scrn.c 1.2:
	* client/cl_view.c 1.2:
	* client/ref.h 1.2:
	* lib/ogg.dll 1.2:
	* lib/ogg.exp 1.2:
	* lib/ogg.lib 1.2:
	* lib/vorbis.dll 1.2:
	* lib/vorbis.exp 1.2:
	* lib/vorbis.lib 1.2:
	* lib/zlib.dll 1.2:
	* lib/zlib.exp 1.2:
	* lib/zlib.lib 1.2:
	* linux/vid_menu.c 1.2:
	* ref_gl/gl_image.c 1.2:
	* ref_gl/gl_local.h 1.2:
	* server/sv_main.c 1.4:
	* win32/vid_dll.c 1.2:
	* win32/vid_menu.c 1.2:
		->baselines alloc debug

2002-04-20	r1ch
	* ref_gl/anorms.h 1.1:
	* ref_gl/anormtab.h 1.1:
	* ref_gl/gl_draw.c 1.1:
	* ref_gl/gl_image.c 1.1:
	* ref_gl/gl_light.c 1.1:
	* ref_gl/gl_local.h 1.1:
	* ref_gl/gl_mesh.c 1.1:
	* ref_gl/gl_model.c 1.1:
	* ref_gl/gl_model.h 1.1:
	* ref_gl/gl_r1_png.c 1.1:
	* ref_gl/gl_rmain.c 1.1:
	* ref_gl/gl_rmisc.c 1.1:
	* ref_gl/gl_rsurf.c 1.1:
	* ref_gl/gl_warp.c 1.1:
	* ref_gl/qgl.h 1.1:
	* ref_gl/warpsin.h 1.1:
		r1gl import

2002-04-12	r1ch
	* client/cl_cin.c 1.2:
	* client/cl_parse.c 1.2:
	* client/keys.c 1.2:
	* client/snd_dma.c 1.2:
	* client/snd_mem.c 1.2:
	* client/x86.c 1.2:
	* qcommon/cmd.c 1.2:
	* qcommon/cmodel.c 1.2:
	* qcommon/common.c 1.2:
	* qcommon/cvar.c 1.2:
	* qcommon/files.c 1.2:
	* qcommon/qcommon.h 1.2:
	* server/sv_init.c 1.2:
	* server/sv_main.c 1.3:
		memory logging functions

2002-04-03	r1ch
	* client/adivtab.h 1.1:
	* client/anorms.h 1.1:
	* client/asm_i386.h 1.1:
	* client/block16.h 1.1:
	* client/block8.h 1.1:
	* client/cdaudio.h 1.1:
	* client/cl_cin.c 1.1:
	* client/cl_dll.c 1.1:
	* client/cl_ents.c 1.1:
	* client/cl_fx.c 1.1:
	* client/cl_input.c 1.1:
	* client/cl_inv.c 1.1:
	* client/cl_main.c 1.1:
	* client/cl_newfx.c 1.1:
	* client/cl_parse.c 1.1:
	* client/cl_pred.c 1.1:
	* client/cl_scrn.c 1.1:
	* client/cl_tent.c 1.1:
	* client/cl_view.c 1.1:
	* client/client.h 1.1:
	* client/console.c 1.1:
	* client/console.h 1.1:
	* client/input.h 1.1:
	* client/keys.c 1.1:
	* client/keys.h 1.1:
	* client/le_physics.c 1.1:
	* client/le_util.c 1.1:
	* client/localent.h 1.1:
	* client/menu.c 1.1:
	* client/qmenu.c 1.1:
	* client/qmenu.h 1.1:
	* client/ref.h 1.1:
	* client/screen.h 1.1:
	* client/snd_dma.c 1.1:
	* client/snd_loc.h 1.1:
	* client/snd_mem.c 1.1:
	* client/snd_mix.c 1.1:
	* client/sound.h 1.1:
	* client/vid.h 1.1:
	* client/x86.c 1.1:
	* game/g_ai.c 1.1:
	* game/g_chase.c 1.1:
	* game/g_cmds.c 1.1:
	* game/g_combat.c 1.1:
	* game/g_func.c 1.1:
	* game/g_items.c 1.1:
	* game/g_local.h 1.1:
	* game/g_main.c 1.1:
	* game/g_misc.c 1.1:
	* game/g_monster.c 1.1:
	* game/g_phys.c 1.1:
	* game/g_save.c 1.1:
	* game/g_spawn.c 1.1:
	* game/g_svcmds.c 1.1:
	* game/g_target.c 1.1:
	* game/g_trigger.c 1.1:
	* game/g_turret.c 1.1:
	* game/g_utils.c 1.1:
	* game/g_weapon.c 1.1:
	* game/game.def 1.1:
	* game/game.dsp 1.1:
	* game/game.h 1.1:
	* game/m_actor.c 1.1:
	* game/m_actor.h 1.1:
	* game/m_berserk.c 1.1:
	* game/m_berserk.h 1.1:
	* game/m_boss2.c 1.1:
	* game/m_boss2.h 1.1:
	* game/m_boss3.c 1.1:
	* game/m_boss31.c 1.1:
	* game/m_boss31.h 1.1:
	* game/m_boss32.c 1.1:
	* game/m_boss32.h 1.1:
	* game/m_brain.c 1.1:
	* game/m_brain.h 1.1:
	* game/m_chick.c 1.1:
	* game/m_chick.h 1.1:
	* game/m_flash.c 1.1:
	* game/m_flipper.c 1.1:
	* game/m_flipper.h 1.1:
	* game/m_float.c 1.1:
	* game/m_float.h 1.1:
	* game/m_flyer.c 1.1:
	* game/m_flyer.h 1.1:
	* game/m_gladiator.c 1.1:
	* game/m_gladiator.h 1.1:
	* game/m_gunner.c 1.1:
	* game/m_gunner.h 1.1:
	* game/m_hover.c 1.1:
	* game/m_hover.h 1.1:
	* game/m_infantry.c 1.1:
	* game/m_infantry.h 1.1:
	* game/m_insane.c 1.1:
	* game/m_insane.h 1.1:
	* game/m_medic.c 1.1:
	* game/m_medic.h 1.1:
	* game/m_move.c 1.1:
	* game/m_mutant.c 1.1:
	* game/m_mutant.h 1.1:
	* game/m_parasite.c 1.1:
	* game/m_parasite.h 1.1:
	* game/m_player.h 1.1:
	* game/m_rider.h 1.1:
	* game/m_soldier.c 1.1:
	* game/m_soldier.h 1.1:
	* game/m_supertank.c 1.1:
	* game/m_supertank.h 1.1:
	* game/m_tank.c 1.1:
	* game/m_tank.h 1.1:
	* game/p_client.c 1.1:
	* game/p_hud.c 1.1:
	* game/p_trail.c 1.1:
	* game/p_view.c 1.1:
	* game/p_weapon.c 1.1:
	* game/q_shared.c 1.1:
	* game/q_shared.h 1.1:
	* irix/cd_irix.c 1.1:
	* irix/glw_imp.c 1.1:
	* irix/q_shirix.c 1.1:
	* irix/qgl_irix.c 1.1:
	* irix/snd_irix.c 1.1:
	* irix/sys_irix.c 1.1:
	* irix/vid_menu.c 1.1:
	* irix/vid_so.c 1.1:
	* lib/libpng3.dll 1.1:
	* lib/libpng3.exp 1.1:
	* lib/libpng3.lib 1.1:
	* lib/libpng3d.dll 1.1:
	* lib/libpng3d.exp 1.1:
	* lib/libpng3d.lib 1.1:
	* lib/ogg.dll 1.1:
	* lib/ogg.exp 1.1:
	* lib/ogg.lib 1.1:
	* lib/png.h 1.1:
	* lib/pngconf.h 1.1:
	* lib/vorbis.dll 1.1:
	* lib/vorbis.exp 1.1:
	* lib/vorbis.lib 1.1:
	* lib/zconf.h 1.1:
	* lib/zlib.dll 1.1:
	* lib/zlib.exp 1.1:
	* lib/zlib.h 1.1:
	* lib/zlib.lib 1.1:
	* lib/zlib.res 1.1:
	* lib/zlibd.dll 1.1:
	* lib/zlibd.exp 1.1:
	* lib/zlibd.ilk 1.1:
	* lib/zlibd.lib 1.1:
	* lib/zlibd.libo 1.1:
	* lib/zutil.h 1.1:
	* linux/Makefile.AXP 1.1:
	* linux/Makefile.i386 1.1:
	* linux/block16.h 1.1:
	* linux/block8.h 1.1:
	* linux/cd_linux.c 1.1:
	* linux/d_copy.s 1.1:
	* linux/d_ifacea.h 1.1:
	* linux/d_polysa.s 1.1:
	* linux/gl_fxmesa.c 1.1:
	* linux/glob.c 1.1:
	* linux/glob.h 1.1:
	* linux/in_linux.c 1.1:
	* linux/math.s 1.1:
	* linux/net_udp.c 1.1:
	* linux/q_shlinux.c 1.1:
	* linux/qasm.h 1.1:
	* linux/qgl_linux.c 1.1:
	* linux/r_aclipa.s 1.1:
	* linux/r_draw16.s 1.1:
	* linux/r_drawa.s 1.1:
	* linux/r_edgea.s 1.1:
	* linux/r_scana.s 1.1:
	* linux/r_spr8.s 1.1:
	* linux/r_surf8.s 1.1:
	* linux/r_varsa.s 1.1:
	* linux/rw_in_svgalib.c 1.1:
	* linux/rw_linux.h 1.1:
	* linux/rw_svgalib.c 1.1:
	* linux/rw_x11.c 1.1:
	* linux/snd_linux.c 1.1:
	* linux/snd_mixa.s 1.1:
	* linux/sys_dosa.s 1.1:
	* linux/sys_linux.c 1.1:
	* linux/vid_menu.c 1.1:
	* linux/vid_so.c 1.1:
	* qcommon/cmd.c 1.1:
	* qcommon/cmodel.c 1.1:
	* qcommon/common.c 1.1:
	* qcommon/crc.c 1.1:
	* qcommon/crc.h 1.1:
	* qcommon/cvar.c 1.1:
	* qcommon/files.c 1.1:
	* qcommon/md4.c 1.1:
	* qcommon/net_chan.c 1.1:
	* qcommon/pmove.c 1.1:
	* qcommon/qcommon.h 1.1:
	* qcommon/qfiles.h 1.1:
	* qcommon/sha1.c 1.1:
	* qcommon/sha1.h 1.1:
	* qcommon/zconf.h 1.1:
	* qcommon/zlib.h 1.1:
	* qcommon/zutil.h 1.1:
	* server/server.h 1.1:
	* server/sv_ccmds.c 1.1:
	* server/sv_ents.c 1.1:
	* server/sv_game.c 1.1:
	* server/sv_init.c 1.1:
	* server/sv_main.c 1.1:
	* server/sv_null.c 1.1:
	* server/sv_send.c 1.1:
	* server/sv_user.c 1.1:
	* server/sv_world.c 1.1:
	* solaris/Makefile.Solaris 1.1:
	* solaris/g_so.c 1.1:
	* solaris/glob.c 1.1:
	* solaris/glob.h 1.1:
	* solaris/net_udp.c 1.1:
	* solaris/q_shsolaris.c 1.1:
	* solaris/sys_solaris.c 1.1:
	* unix/makefile 1.1:
	* unix/makefile_old 1.1:
	* unix/next/sv_ccmds.o 1.1:
	* win32/cd_win.c 1.1:
	* win32/conproc.c 1.1:
	* win32/conproc.h 1.1:
	* win32/glw_imp.c 1.1:
	* win32/glw_win.h 1.1:
	* win32/in_win.c 1.1:
	* win32/net_wins.c 1.1:
	* win32/q2.aps 1.1:
	* win32/q2.ico 1.1:
	* win32/q2.rc 1.1:
	* win32/q_shwin.c 1.1:
	* win32/qe3.ico 1.1:
	* win32/qgl_win.c 1.1:
	* win32/resource.h 1.1:
	* win32/rw_ddraw.c 1.1:
	* win32/rw_dib.c 1.1:
	* win32/rw_imp.c 1.1:
	* win32/rw_win.h 1.1:
	* win32/snd_win.c 1.1:
	* win32/sys_win.c 1.1:
	* win32/vid_dll.c 1.1:
	* win32/vid_menu.c 1.1:
	* win32/winquake.aps 1.1:
	* win32/winquake.h 1.1:
	* win32/winquake.rc 1.1:
		initial import

